(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    163083,       4991]
NotebookOptionsPosition[    157915,       4819]
NotebookOutlinePosition[    158356,       4836]
CellTagsIndexPosition[    158313,       4833]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Change for a dollar, change for a million", "Title"],

Cell["by Martin Erickson", "Text"],

Cell[TextData[{
 "Printed in ",
 ButtonBox["Math Horizons",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.maa.org/mathhorizons/"], None},
  ButtonNote->"http://www.maa.org/mathhorizons/"],
 ", a publication of the ",
 ButtonBox["Mathematical Association of America",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.maa.org/"], None},
  ButtonNote->"http://www.maa.org/"],
 ", Feb. 2010."
}], "Text"],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " supplement by Bruce Torrence\nemail: btorrenc@rmc.edu"
}], "Text"],

Cell[CellGroupData[{

Cell["\<\
Change for a Dollar -- P\[OAcute]lya Approach\
\>", "Section"],

Cell["Here is psuedocode (from the article):", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"For", " ", "k"}], " ", "<", " ", "0"}], ",", " ", 
  RowBox[{
   RowBox[{"let", " ", "p", 
    RowBox[{"(", "k", ")"}]}], " ", "=", " ", 
   RowBox[{
    RowBox[{"n", 
     RowBox[{"(", "k", ")"}]}], " ", "=", " ", 
    RowBox[{
     RowBox[{"d", 
      RowBox[{"(", "k", ")"}]}], " ", "=", " ", 
     RowBox[{
      RowBox[{"q", 
       RowBox[{"(", "k", ")"}]}], " ", "=", " ", 
      RowBox[{
       RowBox[{"h", 
        RowBox[{"(", "k", ")"}]}], " ", "=", " ", 
       RowBox[{
        RowBox[{"w", 
         RowBox[{"(", "k", ")"}]}], " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"{", "}"}], ".", "\n", "Let"}], " ", "p", 
          RowBox[{"(", "0", ")"}]}], " ", "=", " ", 
         RowBox[{
          RowBox[{"n", 
           RowBox[{"(", "0", ")"}]}], " ", "=", " ", 
          RowBox[{
           RowBox[{"d", 
            RowBox[{"(", "0", ")"}]}], " ", "=", " ", 
           RowBox[{
            RowBox[{"q", 
             RowBox[{"(", "0", ")"}]}], " ", "=", " ", 
            RowBox[{
             RowBox[{"h", 
              RowBox[{"(", "0", ")"}]}], " ", "=", " ", 
             RowBox[{
              RowBox[{"w", 
               RowBox[{"(", "0", ")"}]}], " ", "=", " ", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"{", "}"}], "}"}], ".", " ", "\n", "For"}], " ", 
                "1"}], " ", "<=", " ", "k", " ", "<=", " ", 
               "100"}]}]}]}]}]}]}]}]}]}]}]}]}], ",", " ", 
  RowBox[{
   RowBox[{"do", ":", " ", "\n", 
    RowBox[{"p", 
     RowBox[{"(", "k", ")"}]}]}], " ", "=", " ", 
   RowBox[{
    RowBox[{"p", 
     RowBox[{"(", 
      RowBox[{"k", "-", "1"}], ")"}]}], "+", "1"}]}], ",", " ", "\n", 
  RowBox[{
   RowBox[{"n", 
    RowBox[{"(", "k", ")"}]}], " ", "=", " ", 
   RowBox[{"join", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"p", 
       RowBox[{"(", "k", ")"}]}], ",", " ", 
      RowBox[{
       RowBox[{"n", 
        RowBox[{"(", 
         RowBox[{"k", "-", "5"}], ")"}]}], "+", "5"}]}], ")"}]}]}], ",", " ", 
  "\n", 
  RowBox[{
   RowBox[{"d", 
    RowBox[{"(", "k", ")"}]}], " ", "=", " ", 
   RowBox[{"join", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"n", 
       RowBox[{"(", "k", ")"}]}], ",", " ", 
      RowBox[{
       RowBox[{"d", 
        RowBox[{"(", 
         RowBox[{"k", "-", "10"}], ")"}]}], "+", "10"}]}], ")"}]}]}], ",", 
  " ", "\n", 
  RowBox[{
   RowBox[{"q", 
    RowBox[{"(", "k", ")"}]}], " ", "=", " ", 
   RowBox[{"join", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"d", 
       RowBox[{"(", "k", ")"}]}], ",", " ", 
      RowBox[{
       RowBox[{"q", 
        RowBox[{"(", 
         RowBox[{"k", "-", "25"}], ")"}]}], "+", "25"}]}], ")"}]}]}], ",", 
  " ", "\n", 
  RowBox[{
   RowBox[{"h", 
    RowBox[{"(", "k", ")"}]}], " ", "=", " ", 
   RowBox[{"join", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"q", 
       RowBox[{"(", "k", ")"}]}], ",", " ", 
      RowBox[{
       RowBox[{"h", 
        RowBox[{"(", 
         RowBox[{"k", "-", "50"}], ")"}]}], "+", "50"}]}], ")"}]}]}], ",", 
  " ", "\n", 
  RowBox[{
   RowBox[{"w", 
    RowBox[{"(", "k", ")"}]}], " ", "=", " ", 
   RowBox[{"join", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", 
        RowBox[{"(", "k", ")"}]}], ",", " ", 
       RowBox[{
        RowBox[{"w", 
         RowBox[{"(", 
          RowBox[{"k", "-", "100"}], ")"}]}], "+", "100"}]}], ")"}], 
     "."}]}]}]}]], "Output",
 Background->GrayLevel[0.85]],

Cell[TextData[{
 "Here is a ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " implementation (enter each input below):"
}], "Text"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"p", "[", 
    RowBox[{"k_", "/;", 
     RowBox[{"k", "<", "0"}]}], "]"}], "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{
   RowBox[{"p", "[", "0", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{"{", "}"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"n", "[", 
    RowBox[{"k_", "/;", 
     RowBox[{"k", "<", "0"}]}], "]"}], "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{
   RowBox[{"n", "[", "0", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{"{", "}"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d", "[", 
    RowBox[{"k_", "/;", 
     RowBox[{"k", "<", "0"}]}], "]"}], "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{
   RowBox[{"d", "[", "0", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{"{", "}"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"q", "[", 
    RowBox[{"k_", "/;", 
     RowBox[{"k", "<", "0"}]}], "]"}], "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{
   RowBox[{"q", "[", "0", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{"{", "}"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"h", "[", 
    RowBox[{"k_", "/;", 
     RowBox[{"k", "<", "0"}]}], "]"}], "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{
   RowBox[{"h", "[", "0", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{"{", "}"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"w", "[", 
    RowBox[{"k_", "/;", 
     RowBox[{"k", "<", "0"}]}], "]"}], "=", 
   RowBox[{"{", "}"}]}], ";", 
  RowBox[{
   RowBox[{"w", "[", "0", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{"{", "}"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"k", "=", "1"}], ",", 
    RowBox[{"k", "\[LessEqual]", "100"}], ",", 
    RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"p", "[", "k", "]"}], "=", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Append", "[", 
          RowBox[{"#", ",", "1"}], "]"}], "&"}], ",", 
        RowBox[{"p", "[", 
         RowBox[{"k", "-", "1"}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"n", "[", "k", "]"}], "=", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"p", "[", "k", "]"}], ",", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Append", "[", 
            RowBox[{"#", ",", "5"}], "]"}], "&"}], ",", 
          RowBox[{"n", "[", 
           RowBox[{"k", "-", "5"}], "]"}]}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"d", "[", "k", "]"}], "=", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"n", "[", "k", "]"}], ",", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Append", "[", 
            RowBox[{"#", ",", "10"}], "]"}], "&"}], ",", 
          RowBox[{"d", "[", 
           RowBox[{"k", "-", "10"}], "]"}]}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"q", "[", "k", "]"}], "=", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"d", "[", "k", "]"}], ",", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Append", "[", 
            RowBox[{"#", ",", "25"}], "]"}], "&"}], ",", 
          RowBox[{"q", "[", 
           RowBox[{"k", "-", "25"}], "]"}]}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"h", "[", "k", "]"}], "=", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"q", "[", "k", "]"}], ",", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Append", "[", 
            RowBox[{"#", ",", "50"}], "]"}], "&"}], ",", 
          RowBox[{"h", "[", 
           RowBox[{"k", "-", "50"}], "]"}]}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"w", "[", "k", "]"}], "=", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"h", "[", "k", "]"}], ",", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Append", "[", 
            RowBox[{"#", ",", "100"}], "]"}], "&"}], ",", 
          RowBox[{"w", "[", 
           RowBox[{"k", "-", "100"}], "]"}]}], "]"}]}], "]"}]}], ";"}]}], 
   "\[IndentingNewLine]", "]"}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{"w", "[", "100", "]"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", 
  RowBox[{"w", "[", "100", "]"}], "]"}]], "Input"],

Cell[BoxData["293"], "Output"]
}, Open  ]],

Cell[TextData[{
 "The ",
 StyleBox["Manipulate", "MR"],
 " below provides a slick interface for exploring the 293 ways to make change \
for a dollar:"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"data", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"100", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"95", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"90", ",", "2", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"85", ",", "3", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"80", ",", "4", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"75", ",", "5", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"70", ",", "6", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"65", ",", "7", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"60", ",", "8", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"55", ",", "9", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"50", ",", "10", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"45", ",", "11", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"40", ",", "12", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"35", ",", "13", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"30", ",", "14", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "15", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "16", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "17", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "18", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "19", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "20", ",", "0", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"90", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"85", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"80", ",", "2", ",", "1", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"75", ",", "3", ",", "1", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"70", ",", "4", ",", "1", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"65", ",", "5", ",", "1", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"60", ",", "6", ",", "1", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"55", ",", "7", ",", "1", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"50", ",", "8", ",", "1", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"45", ",", "9", ",", "1", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"40", ",", "10", ",", "1", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"35", ",", "11", ",", "1", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"30", ",", "12", ",", "1", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "13", ",", "1", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "14", ",", "1", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "15", ",", "1", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "16", ",", "1", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "17", ",", "1", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "18", ",", "1", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"80", ",", "0", ",", "2", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"75", ",", "1", ",", "2", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"70", ",", "2", ",", "2", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"65", ",", "3", ",", "2", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"60", ",", "4", ",", "2", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"55", ",", "5", ",", "2", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"50", ",", "6", ",", "2", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"45", ",", "7", ",", "2", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"40", ",", "8", ",", "2", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"35", ",", "9", ",", "2", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"30", ",", "10", ",", "2", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "11", ",", "2", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "12", ",", "2", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "13", ",", "2", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "14", ",", "2", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "15", ",", "2", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "16", ",", "2", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"70", ",", "0", ",", "3", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"65", ",", "1", ",", "3", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"60", ",", "2", ",", "3", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"55", ",", "3", ",", "3", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"50", ",", "4", ",", "3", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"45", ",", "5", ",", "3", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"40", ",", "6", ",", "3", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"35", ",", "7", ",", "3", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"30", ",", "8", ",", "3", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "9", ",", "3", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "10", ",", "3", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "11", ",", "3", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "12", ",", "3", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "13", ",", "3", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "14", ",", "3", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"60", ",", "0", ",", "4", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"55", ",", "1", ",", "4", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"50", ",", "2", ",", "4", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"45", ",", "3", ",", "4", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"40", ",", "4", ",", "4", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"35", ",", "5", ",", "4", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"30", ",", "6", ",", "4", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "7", ",", "4", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "8", ",", "4", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "9", ",", "4", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "10", ",", "4", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "11", ",", "4", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "12", ",", "4", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"50", ",", "0", ",", "5", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"45", ",", "1", ",", "5", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"40", ",", "2", ",", "5", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"35", ",", "3", ",", "5", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"30", ",", "4", ",", "5", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "5", ",", "5", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "6", ",", "5", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "7", ",", "5", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "8", ",", "5", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "9", ",", "5", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "10", ",", "5", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"40", ",", "0", ",", "6", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"35", ",", "1", ",", "6", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"30", ",", "2", ",", "6", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "3", ",", "6", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "4", ",", "6", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "5", ",", "6", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "6", ",", "6", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "7", ",", "6", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "8", ",", "6", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"30", ",", "0", ",", "7", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "1", ",", "7", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "2", ",", "7", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "3", ",", "7", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "4", ",", "7", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "5", ",", "7", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "6", ",", "7", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "0", ",", "8", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "1", ",", "8", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "2", ",", "8", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "3", ",", "8", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "4", ",", "8", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0", ",", "9", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "1", ",", "9", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "2", ",", "9", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "10", ",", "0", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"75", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"70", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"65", ",", "2", ",", "0", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"60", ",", "3", ",", "0", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"55", ",", "4", ",", "0", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"50", ",", "5", ",", "0", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"45", ",", "6", ",", "0", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"40", ",", "7", ",", "0", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"35", ",", "8", ",", "0", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"30", ",", "9", ",", "0", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "10", ",", "0", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "11", ",", "0", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "12", ",", "0", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "13", ",", "0", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "14", ",", "0", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "15", ",", "0", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"65", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"60", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"55", ",", "2", ",", "1", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"50", ",", "3", ",", "1", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"45", ",", "4", ",", "1", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"40", ",", "5", ",", "1", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"35", ",", "6", ",", "1", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"30", ",", "7", ",", "1", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "8", ",", "1", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "9", ",", "1", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "10", ",", "1", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "11", ",", "1", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "12", ",", "1", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "13", ",", "1", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"55", ",", "0", ",", "2", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"50", ",", "1", ",", "2", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"45", ",", "2", ",", "2", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"40", ",", "3", ",", "2", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"35", ",", "4", ",", "2", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"30", ",", "5", ",", "2", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "6", ",", "2", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "7", ",", "2", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "8", ",", "2", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "9", ",", "2", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "10", ",", "2", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "11", ",", "2", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"45", ",", "0", ",", "3", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"40", ",", "1", ",", "3", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"35", ",", "2", ",", "3", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"30", ",", "3", ",", "3", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "4", ",", "3", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "5", ",", "3", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "6", ",", "3", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "7", ",", "3", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "8", ",", "3", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "9", ",", "3", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"35", ",", "0", ",", "4", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"30", ",", "1", ",", "4", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "2", ",", "4", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "3", ",", "4", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "4", ",", "4", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "5", ",", "4", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "6", ",", "4", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "7", ",", "4", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "0", ",", "5", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "1", ",", "5", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "2", ",", "5", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "3", ",", "5", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "4", ",", "5", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "5", ",", "5", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "0", ",", "6", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1", ",", "6", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "2", ",", "6", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "3", ",", "6", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "0", ",", "7", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "7", ",", "1", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"50", ",", "0", ",", "0", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"45", ",", "1", ",", "0", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"40", ",", "2", ",", "0", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"35", ",", "3", ",", "0", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"30", ",", "4", ",", "0", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "5", ",", "0", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "6", ",", "0", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "7", ",", "0", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "8", ",", "0", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "9", ",", "0", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "10", ",", "0", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"40", ",", "0", ",", "1", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"35", ",", "1", ",", "1", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"30", ",", "2", ",", "1", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "3", ",", "1", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "4", ",", "1", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "5", ",", "1", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "6", ",", "1", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "7", ",", "1", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "8", ",", "1", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"30", ",", "0", ",", "2", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "1", ",", "2", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "2", ",", "2", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "3", ",", "2", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "4", ",", "2", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "5", ",", "2", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "6", ",", "2", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "0", ",", "3", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "1", ",", "3", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "2", ",", "3", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "3", ",", "3", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "4", ",", "3", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0", ",", "4", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "1", ",", "4", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "2", ",", "4", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "5", ",", "2", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "0", ",", "0", ",", "3", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "1", ",", "0", ",", "3", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "2", ",", "0", ",", "3", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "3", ",", "0", ",", "3", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "4", ",", "0", ",", "3", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "5", ",", "0", ",", "3", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "0", ",", "1", ",", "3", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1", ",", "1", ",", "3", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "2", ",", "1", ",", "3", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "3", ",", "1", ",", "3", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "0", ",", "2", ",", "3", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "2", ",", "3", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0", ",", "4", ",", "0", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"50", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"45", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"40", ",", "2", ",", "0", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"35", ",", "3", ",", "0", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"30", ",", "4", ",", "0", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "5", ",", "0", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "6", ",", "0", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "7", ",", "0", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "8", ",", "0", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "9", ",", "0", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "10", ",", "0", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"40", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"35", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"30", ",", "2", ",", "1", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "3", ",", "1", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "4", ",", "1", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "5", ",", "1", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "6", ",", "1", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "7", ",", "1", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "8", ",", "1", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"30", ",", "0", ",", "2", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "1", ",", "2", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "2", ",", "2", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "3", ",", "2", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "4", ",", "2", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "5", ",", "2", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "6", ",", "2", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "0", ",", "3", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "1", ",", "3", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "2", ",", "3", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "3", ",", "3", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "4", ",", "3", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0", ",", "4", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "1", ",", "4", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "2", ",", "4", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "5", ",", "0", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"20", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "2", ",", "0", ",", "1", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "3", ",", "0", ",", "1", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "4", ",", "0", ",", "1", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "5", ",", "0", ",", "1", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "2", ",", "1", ",", "1", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "3", ",", "1", ",", "1", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "0", ",", "2", ",", "1", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "2", ",", "1", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0", ",", "2", ",", "1", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "2", ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1"}], 
          "}"}]}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Text", "@", 
      RowBox[{"Grid", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
           "\"\<pennies\>\"", ",", "\"\<nickles\>\"", ",", "\"\<dimes\>\"", 
            ",", "\"\<quarters\>\"", ",", "\"\<half-dollars\>\"", ",", 
            "\"\<whole-dollars\>\""}], "}"}], ",", 
          RowBox[{"data", "[", 
           RowBox[{"[", "t", "]"}], "]"}]}], "}"}], ",", 
        RowBox[{"Dividers", "\[Rule]", "Gray"}]}], "]"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", "1", ",", "\"\<change\>\""}], "}"}], ",", "1", ",", 
     "293", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`t$$ = 243, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`t$$], 1, "change"}, 1, 293, 1}}, Typeset`size$$ = {
    487., {24., 32.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`t$9395$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`t$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`t$$, $CellContext`t$9395$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`data$ = CompressedData["
1:eJwd1KuP3DAQx/HxY5zE+/C1NTGJVEWVQkJClixZcuRIVamkpFJV3v+fdb6z
4HNZP5LbX2b89c+/H3+iiHwLIsX+/hU+vwP+YkJ+Jvye8UPxnYXymvA542PB
s+Jxwf2K2w3XO46G/Q3bJ6yfUb/4I7s/UXjwz4DfI34kfM/4UnwWfEx4zngs
uFfcLrhecdyw37E1rG+on/znffanCD/yI+B7xFfCZ8aH4lnwmHCfcVtwrTgu
2K/YbljvqM3je/M7CyG+Aj4jPhKeGQ/FveA24TrjWLBXbBesV9Sbv5K73014
MY+AZ8Qj4Z5xU1wLjgn7jG3BWlEv/mqvfgfhBR8B94hbwjXjUOwF24R1Rl28
LKrv8iraAq4RR8KesSnWgjp5Gc2+UiimEbBHbAlrRlUvteKzQsG1gDWiJi/B
7CNCIWrwcoyuUJQfQmG9B3xFfCZ8ZDwVj4L7hNuM64KjYr9gu2K9od69WJvf
UyjZZ8BHxDPhkXFX3AquE44Z+4KtYr2gXr30b34foQHOgEfEPeGWcVUcBfuE
bca6oFZvnovvFVpoD7hFXBOOjF2xFawT6uwtt/h6ofHWgCNiT9gyVkUt3pyT
rxFatAdsEWtCzd666uNCA9eAGr2Zk1+Lt3TAU2jLI+AecUu4ZhyKvWCbsM6o
izdz9V1CS28B14gjYc/YFGtBnbz5Z18pHAEjYI/YEtaMqn5AFJ8VjokWsEbU
5AdH9hHh+NDgh0h0haNkCAdBD2jHQyIftDb1xvZx4ZiwomA8+pGR/Fr84Aiu
0PYnX0nJtJRMS8m0lExLybSUTEvJtJRMS8mL2HcJLWEpsSuipcSujJYSuwpa
SuyafaXQQpYSKyNaSqzMaCmxsvis0GaWErMRLSVms48I7WcpMRJdoRUtJfuP
LCXTUjItJdNS8ibxcaHZLCXGozde8mvx9guueAuJFxOf8B+y4yho
          "]}, 
        Text[
         Grid[{{
           "pennies", "nickles", "dimes", "quarters", "half-dollars", 
            "whole-dollars"}, 
           Part[$CellContext`data$, $CellContext`t$$]}, Dividers -> 
          Graphics`Colors`Gray]]], 
      "Specifications" :> {{{$CellContext`t$$, 1, "change"}, 1, 293, 1, 
         Appearance -> "Labeled"}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{549., {88.03125, 95.96875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({
      Graphics`Colors`Gray = RGBColor[0.752907, 0.752907, 0.752907], 
       TagSet[Graphics`Colors`Gray, 
        MessageName[Graphics`Colors`Gray, "usage"], 
        "Gray is a color given in the RGBColor system."]}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output"]
}, {2}]],

Cell[TextData[{
 "Below are several inputs. Each produces a different way of viewing the 293 \
ways to make change for a dollar, using ",
 StyleBox["w[100]", "MR"],
 " that we calculated above."
}], "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SortBy", "[", 
   RowBox[{
    RowBox[{"w", "[", "100", "]"}], ",", "Length"}], "]"}], "//", 
  "Grid"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Tally", "/@", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"w", "[", "100", "]"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "p"}], ",", 
       RowBox[{"5", "\[Rule]", "n"}], ",", 
       RowBox[{"10", "\[Rule]", "d"}], ",", 
       RowBox[{"25", "\[Rule]", "q"}], ",", 
       RowBox[{"50", "\[Rule]", "h"}], ",", 
       RowBox[{"100", "\[Rule]", "w"}]}], "}"}]}], ")"}]}], "//", 
  "Grid"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"BinCounts", "[", 
    RowBox[{"#", ",", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
       "1", ",", "5", ",", "10", ",", "25", ",", "50", ",", "100", ",", 
        "101"}], "}"}], "}"}]}], "]"}], "&"}], "/@", 
  RowBox[{"w", "[", "100", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Text", "@", 
  RowBox[{"Grid", "[", 
   RowBox[{
    RowBox[{"Prepend", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"BinCounts", "[", 
         RowBox[{"#", ",", 
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{
            "1", ",", "5", ",", "10", ",", "25", ",", "50", ",", "100", ",", 
             "101"}], "}"}], "}"}]}], "]"}], "&"}], "/@", 
       RowBox[{"w", "[", "100", "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{
       "\"\<p\>\"", ",", "\"\<n\>\"", ",", "\"\<d\>\"", ",", "\"\<q\>\"", 
        ",", "\"\<h\>\"", ",", "\"\<w\>\""}], "}"}]}], "]"}], ",", 
    RowBox[{"Dividers", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Gray", ",", 
       RowBox[{"2", "\[Rule]", "Gray"}]}], "}"}]}]}], "]"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Change for a Dollar -- Generating Function Approach", "Section"],

Cell[TextData[{
 "We make use of the geometric series for ",
 Cell[BoxData[
  FormBox[
   FractionBox["1", 
    RowBox[{"1", "-", 
     SuperscriptBox["x", "n"]}]], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " for several values of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],
  FormatType->"TraditionalForm"],
 ":"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"(", 
     RowBox[{"1", "-", "x"}], ")"}]], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "15"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"1", "+", "x", "+", 
   SuperscriptBox["x", "2"], "+", 
   SuperscriptBox["x", "3"], "+", 
   SuperscriptBox["x", "4"], "+", 
   SuperscriptBox["x", "5"], "+", 
   SuperscriptBox["x", "6"], "+", 
   SuperscriptBox["x", "7"], "+", 
   SuperscriptBox["x", "8"], "+", 
   SuperscriptBox["x", "9"], "+", 
   SuperscriptBox["x", "10"], "+", 
   SuperscriptBox["x", "11"], "+", 
   SuperscriptBox["x", "12"], "+", 
   SuperscriptBox["x", "13"], "+", 
   SuperscriptBox["x", "14"], "+", 
   SuperscriptBox["x", "15"], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "x", "]"}], "16"],
    SeriesData[$CellContext`x, 0, {}, 0, 16, 1],
    Editable->False]}],
  SeriesData[$CellContext`x, 0, {1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
   1}, 0, 16, 1],
  Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      SuperscriptBox["x", "5"]}], ")"}]], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "75"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"1", "+", 
   SuperscriptBox["x", "5"], "+", 
   SuperscriptBox["x", "10"], "+", 
   SuperscriptBox["x", "15"], "+", 
   SuperscriptBox["x", "20"], "+", 
   SuperscriptBox["x", "25"], "+", 
   SuperscriptBox["x", "30"], "+", 
   SuperscriptBox["x", "35"], "+", 
   SuperscriptBox["x", "40"], "+", 
   SuperscriptBox["x", "45"], "+", 
   SuperscriptBox["x", "50"], "+", 
   SuperscriptBox["x", "55"], "+", 
   SuperscriptBox["x", "60"], "+", 
   SuperscriptBox["x", "65"], "+", 
   SuperscriptBox["x", "70"], "+", 
   SuperscriptBox["x", "75"], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "x", "]"}], "76"],
    SeriesData[$CellContext`x, 0, {}, 0, 76, 1],
    Editable->False]}],
  SeriesData[$CellContext`x, 0, {1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 
   1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 
   1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 
   1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1}, 0, 76, 1],
  Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "x"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       SuperscriptBox["x", "5"]}], ")"}], 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       SuperscriptBox["x", "10"]}], ")"}], 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       SuperscriptBox["x", "25"]}], ")"}], 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       SuperscriptBox["x", "50"]}], ")"}], 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       SuperscriptBox["x", "100"]}], ")"}]}]], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "100"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"1", "+", "x", "+", 
   SuperscriptBox["x", "2"], "+", 
   SuperscriptBox["x", "3"], "+", 
   SuperscriptBox["x", "4"], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["x", "5"]}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["x", "6"]}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["x", "7"]}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["x", "8"]}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["x", "9"]}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["x", "10"]}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["x", "11"]}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["x", "12"]}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["x", "13"]}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["x", "14"]}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["x", "15"]}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["x", "16"]}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["x", "17"]}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["x", "18"]}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["x", "19"]}], "+", 
   RowBox[{"9", " ", 
    SuperscriptBox["x", "20"]}], "+", 
   RowBox[{"9", " ", 
    SuperscriptBox["x", "21"]}], "+", 
   RowBox[{"9", " ", 
    SuperscriptBox["x", "22"]}], "+", 
   RowBox[{"9", " ", 
    SuperscriptBox["x", "23"]}], "+", 
   RowBox[{"9", " ", 
    SuperscriptBox["x", "24"]}], "+", 
   RowBox[{"13", " ", 
    SuperscriptBox["x", "25"]}], "+", 
   RowBox[{"13", " ", 
    SuperscriptBox["x", "26"]}], "+", 
   RowBox[{"13", " ", 
    SuperscriptBox["x", "27"]}], "+", 
   RowBox[{"13", " ", 
    SuperscriptBox["x", "28"]}], "+", 
   RowBox[{"13", " ", 
    SuperscriptBox["x", "29"]}], "+", 
   RowBox[{"18", " ", 
    SuperscriptBox["x", "30"]}], "+", 
   RowBox[{"18", " ", 
    SuperscriptBox["x", "31"]}], "+", 
   RowBox[{"18", " ", 
    SuperscriptBox["x", "32"]}], "+", 
   RowBox[{"18", " ", 
    SuperscriptBox["x", "33"]}], "+", 
   RowBox[{"18", " ", 
    SuperscriptBox["x", "34"]}], "+", 
   RowBox[{"24", " ", 
    SuperscriptBox["x", "35"]}], "+", 
   RowBox[{"24", " ", 
    SuperscriptBox["x", "36"]}], "+", 
   RowBox[{"24", " ", 
    SuperscriptBox["x", "37"]}], "+", 
   RowBox[{"24", " ", 
    SuperscriptBox["x", "38"]}], "+", 
   RowBox[{"24", " ", 
    SuperscriptBox["x", "39"]}], "+", 
   RowBox[{"31", " ", 
    SuperscriptBox["x", "40"]}], "+", 
   RowBox[{"31", " ", 
    SuperscriptBox["x", "41"]}], "+", 
   RowBox[{"31", " ", 
    SuperscriptBox["x", "42"]}], "+", 
   RowBox[{"31", " ", 
    SuperscriptBox["x", "43"]}], "+", 
   RowBox[{"31", " ", 
    SuperscriptBox["x", "44"]}], "+", 
   RowBox[{"39", " ", 
    SuperscriptBox["x", "45"]}], "+", 
   RowBox[{"39", " ", 
    SuperscriptBox["x", "46"]}], "+", 
   RowBox[{"39", " ", 
    SuperscriptBox["x", "47"]}], "+", 
   RowBox[{"39", " ", 
    SuperscriptBox["x", "48"]}], "+", 
   RowBox[{"39", " ", 
    SuperscriptBox["x", "49"]}], "+", 
   RowBox[{"50", " ", 
    SuperscriptBox["x", "50"]}], "+", 
   RowBox[{"50", " ", 
    SuperscriptBox["x", "51"]}], "+", 
   RowBox[{"50", " ", 
    SuperscriptBox["x", "52"]}], "+", 
   RowBox[{"50", " ", 
    SuperscriptBox["x", "53"]}], "+", 
   RowBox[{"50", " ", 
    SuperscriptBox["x", "54"]}], "+", 
   RowBox[{"62", " ", 
    SuperscriptBox["x", "55"]}], "+", 
   RowBox[{"62", " ", 
    SuperscriptBox["x", "56"]}], "+", 
   RowBox[{"62", " ", 
    SuperscriptBox["x", "57"]}], "+", 
   RowBox[{"62", " ", 
    SuperscriptBox["x", "58"]}], "+", 
   RowBox[{"62", " ", 
    SuperscriptBox["x", "59"]}], "+", 
   RowBox[{"77", " ", 
    SuperscriptBox["x", "60"]}], "+", 
   RowBox[{"77", " ", 
    SuperscriptBox["x", "61"]}], "+", 
   RowBox[{"77", " ", 
    SuperscriptBox["x", "62"]}], "+", 
   RowBox[{"77", " ", 
    SuperscriptBox["x", "63"]}], "+", 
   RowBox[{"77", " ", 
    SuperscriptBox["x", "64"]}], "+", 
   RowBox[{"93", " ", 
    SuperscriptBox["x", "65"]}], "+", 
   RowBox[{"93", " ", 
    SuperscriptBox["x", "66"]}], "+", 
   RowBox[{"93", " ", 
    SuperscriptBox["x", "67"]}], "+", 
   RowBox[{"93", " ", 
    SuperscriptBox["x", "68"]}], "+", 
   RowBox[{"93", " ", 
    SuperscriptBox["x", "69"]}], "+", 
   RowBox[{"112", " ", 
    SuperscriptBox["x", "70"]}], "+", 
   RowBox[{"112", " ", 
    SuperscriptBox["x", "71"]}], "+", 
   RowBox[{"112", " ", 
    SuperscriptBox["x", "72"]}], "+", 
   RowBox[{"112", " ", 
    SuperscriptBox["x", "73"]}], "+", 
   RowBox[{"112", " ", 
    SuperscriptBox["x", "74"]}], "+", 
   RowBox[{"134", " ", 
    SuperscriptBox["x", "75"]}], "+", 
   RowBox[{"134", " ", 
    SuperscriptBox["x", "76"]}], "+", 
   RowBox[{"134", " ", 
    SuperscriptBox["x", "77"]}], "+", 
   RowBox[{"134", " ", 
    SuperscriptBox["x", "78"]}], "+", 
   RowBox[{"134", " ", 
    SuperscriptBox["x", "79"]}], "+", 
   RowBox[{"159", " ", 
    SuperscriptBox["x", "80"]}], "+", 
   RowBox[{"159", " ", 
    SuperscriptBox["x", "81"]}], "+", 
   RowBox[{"159", " ", 
    SuperscriptBox["x", "82"]}], "+", 
   RowBox[{"159", " ", 
    SuperscriptBox["x", "83"]}], "+", 
   RowBox[{"159", " ", 
    SuperscriptBox["x", "84"]}], "+", 
   RowBox[{"187", " ", 
    SuperscriptBox["x", "85"]}], "+", 
   RowBox[{"187", " ", 
    SuperscriptBox["x", "86"]}], "+", 
   RowBox[{"187", " ", 
    SuperscriptBox["x", "87"]}], "+", 
   RowBox[{"187", " ", 
    SuperscriptBox["x", "88"]}], "+", 
   RowBox[{"187", " ", 
    SuperscriptBox["x", "89"]}], "+", 
   RowBox[{"218", " ", 
    SuperscriptBox["x", "90"]}], "+", 
   RowBox[{"218", " ", 
    SuperscriptBox["x", "91"]}], "+", 
   RowBox[{"218", " ", 
    SuperscriptBox["x", "92"]}], "+", 
   RowBox[{"218", " ", 
    SuperscriptBox["x", "93"]}], "+", 
   RowBox[{"218", " ", 
    SuperscriptBox["x", "94"]}], "+", 
   RowBox[{"252", " ", 
    SuperscriptBox["x", "95"]}], "+", 
   RowBox[{"252", " ", 
    SuperscriptBox["x", "96"]}], "+", 
   RowBox[{"252", " ", 
    SuperscriptBox["x", "97"]}], "+", 
   RowBox[{"252", " ", 
    SuperscriptBox["x", "98"]}], "+", 
   RowBox[{"252", " ", 
    SuperscriptBox["x", "99"]}], "+", 
   RowBox[{"293", " ", 
    SuperscriptBox["x", "100"]}], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "x", "]"}], "101"],
    SeriesData[$CellContext`x, 0, {}, 0, 101, 1],
    Editable->False]}],
  SeriesData[$CellContext`x, 0, CompressedData["
1:eJxTTMoPymNkYGBIBWJGLJgJC2bBgtmwYE4smBcLFsKCJbBgeSxYHQs2woLt
sGBfLDgWCy7Agtuw4PlY8G4s+BYW/AcLVgVGAABdJh9e
   "], 0, 101, 1],
  Editable->False]], "Output"]
}, Open  ]],

Cell["\<\
We can extract any coefficient we like from this series, without having to \
view the entire thing:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SeriesCoefficient", "[", 
  RowBox[{
   RowBox[{"Series", "[", 
    RowBox[{
     FractionBox["1", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "x"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "5"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "10"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "25"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "50"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "100"]}], ")"}]}]], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "100"}], "}"}]}], "]"}], ",", "100"}], 
  "]"}]], "Input"],

Cell[BoxData["293"], "Output"]
}, Open  ]],

Cell["\<\
Here we use a slightly modified generating function to display all 293 ways \
to make change for a dollar:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "@", 
  RowBox[{"SeriesCoefficient", "[", 
   RowBox[{
    RowBox[{"Series", "[", 
     RowBox[{
      FractionBox["1", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"p", "*", "x"}]}], ")"}], 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"n", "*", 
           SuperscriptBox["x", "5"]}]}], ")"}], 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"d", "*", 
           SuperscriptBox["x", "10"]}]}], ")"}], 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"q", "*", 
           SuperscriptBox["x", "25"]}]}], ")"}], 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"h", "*", 
           SuperscriptBox["x", "50"]}]}], ")"}], 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"w", "*", 
           SuperscriptBox["x", "100"]}]}], ")"}]}]], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "0", ",", "100"}], "}"}]}], "]"}], ",", "100"}], 
   "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["d", "10"], "+", 
  RowBox[{
   SuperscriptBox["d", "5"], " ", "h"}], "+", 
  SuperscriptBox["h", "2"], "+", 
  RowBox[{
   SuperscriptBox["d", "9"], " ", 
   SuperscriptBox["n", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", "h", " ", 
   SuperscriptBox["n", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "8"], " ", 
   SuperscriptBox["n", "4"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", "h", " ", 
   SuperscriptBox["n", "4"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "7"], " ", 
   SuperscriptBox["n", "6"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", "h", " ", 
   SuperscriptBox["n", "6"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "6"], " ", 
   SuperscriptBox["n", "8"]}], "+", 
  RowBox[{"d", " ", "h", " ", 
   SuperscriptBox["n", "8"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "5"], " ", 
   SuperscriptBox["n", "10"]}], "+", 
  RowBox[{"h", " ", 
   SuperscriptBox["n", "10"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["n", "12"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "14"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "16"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "18"]}], "+", 
  SuperscriptBox["n", "20"], "+", 
  RowBox[{
   SuperscriptBox["d", "9"], " ", "n", " ", 
   SuperscriptBox["p", "5"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", "h", " ", "n", " ", 
   SuperscriptBox["p", "5"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "8"], " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "5"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", "h", " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "5"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "7"], " ", 
   SuperscriptBox["n", "5"], " ", 
   SuperscriptBox["p", "5"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", "h", " ", 
   SuperscriptBox["n", "5"], " ", 
   SuperscriptBox["p", "5"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "6"], " ", 
   SuperscriptBox["n", "7"], " ", 
   SuperscriptBox["p", "5"]}], "+", 
  RowBox[{"d", " ", "h", " ", 
   SuperscriptBox["n", "7"], " ", 
   SuperscriptBox["p", "5"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "5"], " ", 
   SuperscriptBox["n", "9"], " ", 
   SuperscriptBox["p", "5"]}], "+", 
  RowBox[{"h", " ", 
   SuperscriptBox["n", "9"], " ", 
   SuperscriptBox["p", "5"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["n", "11"], " ", 
   SuperscriptBox["p", "5"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "13"], " ", 
   SuperscriptBox["p", "5"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "15"], " ", 
   SuperscriptBox["p", "5"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "17"], " ", 
   SuperscriptBox["p", "5"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "19"], " ", 
   SuperscriptBox["p", "5"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "9"], " ", 
   SuperscriptBox["p", "10"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", "h", " ", 
   SuperscriptBox["p", "10"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "8"], " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "10"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", "h", " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "10"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "7"], " ", 
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "10"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", "h", " ", 
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "10"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "6"], " ", 
   SuperscriptBox["n", "6"], " ", 
   SuperscriptBox["p", "10"]}], "+", 
  RowBox[{"d", " ", "h", " ", 
   SuperscriptBox["n", "6"], " ", 
   SuperscriptBox["p", "10"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "5"], " ", 
   SuperscriptBox["n", "8"], " ", 
   SuperscriptBox["p", "10"]}], "+", 
  RowBox[{"h", " ", 
   SuperscriptBox["n", "8"], " ", 
   SuperscriptBox["p", "10"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["n", "10"], " ", 
   SuperscriptBox["p", "10"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "12"], " ", 
   SuperscriptBox["p", "10"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "14"], " ", 
   SuperscriptBox["p", "10"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "16"], " ", 
   SuperscriptBox["p", "10"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "18"], " ", 
   SuperscriptBox["p", "10"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "8"], " ", "n", " ", 
   SuperscriptBox["p", "15"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", "h", " ", "n", " ", 
   SuperscriptBox["p", "15"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "7"], " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "15"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", "h", " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "15"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "6"], " ", 
   SuperscriptBox["n", "5"], " ", 
   SuperscriptBox["p", "15"]}], "+", 
  RowBox[{"d", " ", "h", " ", 
   SuperscriptBox["n", "5"], " ", 
   SuperscriptBox["p", "15"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "5"], " ", 
   SuperscriptBox["n", "7"], " ", 
   SuperscriptBox["p", "15"]}], "+", 
  RowBox[{"h", " ", 
   SuperscriptBox["n", "7"], " ", 
   SuperscriptBox["p", "15"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["n", "9"], " ", 
   SuperscriptBox["p", "15"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "11"], " ", 
   SuperscriptBox["p", "15"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "13"], " ", 
   SuperscriptBox["p", "15"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "15"], " ", 
   SuperscriptBox["p", "15"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "17"], " ", 
   SuperscriptBox["p", "15"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "8"], " ", 
   SuperscriptBox["p", "20"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", "h", " ", 
   SuperscriptBox["p", "20"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "7"], " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "20"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", "h", " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "20"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "6"], " ", 
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "20"]}], "+", 
  RowBox[{"d", " ", "h", " ", 
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "20"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "5"], " ", 
   SuperscriptBox["n", "6"], " ", 
   SuperscriptBox["p", "20"]}], "+", 
  RowBox[{"h", " ", 
   SuperscriptBox["n", "6"], " ", 
   SuperscriptBox["p", "20"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["n", "8"], " ", 
   SuperscriptBox["p", "20"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "10"], " ", 
   SuperscriptBox["p", "20"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "12"], " ", 
   SuperscriptBox["p", "20"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "14"], " ", 
   SuperscriptBox["p", "20"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "16"], " ", 
   SuperscriptBox["p", "20"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "7"], " ", "n", " ", 
   SuperscriptBox["p", "25"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", "h", " ", "n", " ", 
   SuperscriptBox["p", "25"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "6"], " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "25"]}], "+", 
  RowBox[{"d", " ", "h", " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "25"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "5"], " ", 
   SuperscriptBox["n", "5"], " ", 
   SuperscriptBox["p", "25"]}], "+", 
  RowBox[{"h", " ", 
   SuperscriptBox["n", "5"], " ", 
   SuperscriptBox["p", "25"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["n", "7"], " ", 
   SuperscriptBox["p", "25"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "9"], " ", 
   SuperscriptBox["p", "25"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "11"], " ", 
   SuperscriptBox["p", "25"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "13"], " ", 
   SuperscriptBox["p", "25"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "15"], " ", 
   SuperscriptBox["p", "25"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "7"], " ", 
   SuperscriptBox["p", "30"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", "h", " ", 
   SuperscriptBox["p", "30"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "6"], " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "30"]}], "+", 
  RowBox[{"d", " ", "h", " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "30"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "5"], " ", 
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "30"]}], "+", 
  RowBox[{"h", " ", 
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "30"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["n", "6"], " ", 
   SuperscriptBox["p", "30"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "8"], " ", 
   SuperscriptBox["p", "30"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "10"], " ", 
   SuperscriptBox["p", "30"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "12"], " ", 
   SuperscriptBox["p", "30"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "14"], " ", 
   SuperscriptBox["p", "30"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "6"], " ", "n", " ", 
   SuperscriptBox["p", "35"]}], "+", 
  RowBox[{"d", " ", "h", " ", "n", " ", 
   SuperscriptBox["p", "35"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "5"], " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "35"]}], "+", 
  RowBox[{"h", " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "35"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["n", "5"], " ", 
   SuperscriptBox["p", "35"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "7"], " ", 
   SuperscriptBox["p", "35"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "9"], " ", 
   SuperscriptBox["p", "35"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "11"], " ", 
   SuperscriptBox["p", "35"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "13"], " ", 
   SuperscriptBox["p", "35"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "6"], " ", 
   SuperscriptBox["p", "40"]}], "+", 
  RowBox[{"d", " ", "h", " ", 
   SuperscriptBox["p", "40"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "5"], " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "40"]}], "+", 
  RowBox[{"h", " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "40"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "40"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "6"], " ", 
   SuperscriptBox["p", "40"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "8"], " ", 
   SuperscriptBox["p", "40"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "10"], " ", 
   SuperscriptBox["p", "40"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "12"], " ", 
   SuperscriptBox["p", "40"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "5"], " ", "n", " ", 
   SuperscriptBox["p", "45"]}], "+", 
  RowBox[{"h", " ", "n", " ", 
   SuperscriptBox["p", "45"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "45"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "5"], " ", 
   SuperscriptBox["p", "45"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "7"], " ", 
   SuperscriptBox["p", "45"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "9"], " ", 
   SuperscriptBox["p", "45"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "11"], " ", 
   SuperscriptBox["p", "45"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "5"], " ", 
   SuperscriptBox["p", "50"]}], "+", 
  RowBox[{"h", " ", 
   SuperscriptBox["p", "50"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "50"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "50"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "6"], " ", 
   SuperscriptBox["p", "50"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "8"], " ", 
   SuperscriptBox["p", "50"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "10"], " ", 
   SuperscriptBox["p", "50"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", "n", " ", 
   SuperscriptBox["p", "55"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "55"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "5"], " ", 
   SuperscriptBox["p", "55"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "7"], " ", 
   SuperscriptBox["p", "55"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "9"], " ", 
   SuperscriptBox["p", "55"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["p", "60"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "60"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "60"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "6"], " ", 
   SuperscriptBox["p", "60"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "8"], " ", 
   SuperscriptBox["p", "60"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", "n", " ", 
   SuperscriptBox["p", "65"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "65"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "5"], " ", 
   SuperscriptBox["p", "65"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "7"], " ", 
   SuperscriptBox["p", "65"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["p", "70"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "70"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "70"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "6"], " ", 
   SuperscriptBox["p", "70"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", "n", " ", 
   SuperscriptBox["p", "75"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "75"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "5"], " ", 
   SuperscriptBox["p", "75"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["p", "80"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "80"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "80"]}], "+", 
  RowBox[{"d", " ", "n", " ", 
   SuperscriptBox["p", "85"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "85"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["p", "90"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "90"]}], "+", 
  RowBox[{"n", " ", 
   SuperscriptBox["p", "95"]}], "+", 
  SuperscriptBox["p", "100"], "+", 
  RowBox[{
   SuperscriptBox["d", "7"], " ", "n", " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", "h", " ", "n", " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "6"], " ", 
   SuperscriptBox["n", "3"], " ", "q"}], "+", 
  RowBox[{"d", " ", "h", " ", 
   SuperscriptBox["n", "3"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "5"], " ", 
   SuperscriptBox["n", "5"], " ", "q"}], "+", 
  RowBox[{"h", " ", 
   SuperscriptBox["n", "5"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["n", "7"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "9"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "11"], " ", "q"}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "13"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["n", "15"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "7"], " ", 
   SuperscriptBox["p", "5"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", "h", " ", 
   SuperscriptBox["p", "5"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "6"], " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "5"], " ", "q"}], "+", 
  RowBox[{"d", " ", "h", " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "5"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "5"], " ", 
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "5"], " ", "q"}], "+", 
  RowBox[{"h", " ", 
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "5"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["n", "6"], " ", 
   SuperscriptBox["p", "5"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "8"], " ", 
   SuperscriptBox["p", "5"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "10"], " ", 
   SuperscriptBox["p", "5"], " ", "q"}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "12"], " ", 
   SuperscriptBox["p", "5"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["n", "14"], " ", 
   SuperscriptBox["p", "5"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "6"], " ", "n", " ", 
   SuperscriptBox["p", "10"], " ", "q"}], "+", 
  RowBox[{"d", " ", "h", " ", "n", " ", 
   SuperscriptBox["p", "10"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "5"], " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "10"], " ", "q"}], "+", 
  RowBox[{"h", " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "10"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["n", "5"], " ", 
   SuperscriptBox["p", "10"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "7"], " ", 
   SuperscriptBox["p", "10"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "9"], " ", 
   SuperscriptBox["p", "10"], " ", "q"}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "11"], " ", 
   SuperscriptBox["p", "10"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["n", "13"], " ", 
   SuperscriptBox["p", "10"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "6"], " ", 
   SuperscriptBox["p", "15"], " ", "q"}], "+", 
  RowBox[{"d", " ", "h", " ", 
   SuperscriptBox["p", "15"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "5"], " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "15"], " ", "q"}], "+", 
  RowBox[{"h", " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "15"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "15"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "6"], " ", 
   SuperscriptBox["p", "15"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "8"], " ", 
   SuperscriptBox["p", "15"], " ", "q"}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "10"], " ", 
   SuperscriptBox["p", "15"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["n", "12"], " ", 
   SuperscriptBox["p", "15"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "5"], " ", "n", " ", 
   SuperscriptBox["p", "20"], " ", "q"}], "+", 
  RowBox[{"h", " ", "n", " ", 
   SuperscriptBox["p", "20"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "20"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "5"], " ", 
   SuperscriptBox["p", "20"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "7"], " ", 
   SuperscriptBox["p", "20"], " ", "q"}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "9"], " ", 
   SuperscriptBox["p", "20"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["n", "11"], " ", 
   SuperscriptBox["p", "20"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "5"], " ", 
   SuperscriptBox["p", "25"], " ", "q"}], "+", 
  RowBox[{"h", " ", 
   SuperscriptBox["p", "25"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "25"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "25"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "6"], " ", 
   SuperscriptBox["p", "25"], " ", "q"}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "8"], " ", 
   SuperscriptBox["p", "25"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["n", "10"], " ", 
   SuperscriptBox["p", "25"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", "n", " ", 
   SuperscriptBox["p", "30"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "30"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "5"], " ", 
   SuperscriptBox["p", "30"], " ", "q"}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "7"], " ", 
   SuperscriptBox["p", "30"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["n", "9"], " ", 
   SuperscriptBox["p", "30"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["p", "35"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "35"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "35"], " ", "q"}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "6"], " ", 
   SuperscriptBox["p", "35"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["n", "8"], " ", 
   SuperscriptBox["p", "35"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", "n", " ", 
   SuperscriptBox["p", "40"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "40"], " ", "q"}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "5"], " ", 
   SuperscriptBox["p", "40"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["n", "7"], " ", 
   SuperscriptBox["p", "40"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["p", "45"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "45"], " ", "q"}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "45"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["n", "6"], " ", 
   SuperscriptBox["p", "45"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", "n", " ", 
   SuperscriptBox["p", "50"], " ", "q"}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "50"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["n", "5"], " ", 
   SuperscriptBox["p", "50"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["p", "55"], " ", "q"}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "55"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "55"], " ", "q"}], "+", 
  RowBox[{"d", " ", "n", " ", 
   SuperscriptBox["p", "60"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "60"], " ", "q"}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["p", "65"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "65"], " ", "q"}], "+", 
  RowBox[{"n", " ", 
   SuperscriptBox["p", "70"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["p", "75"], " ", "q"}], "+", 
  RowBox[{
   SuperscriptBox["d", "5"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{"h", " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "6"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "8"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "10"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", "n", " ", 
   SuperscriptBox["p", "5"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "5"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "5"], " ", 
   SuperscriptBox["p", "5"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "7"], " ", 
   SuperscriptBox["p", "5"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "9"], " ", 
   SuperscriptBox["p", "5"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox["p", "10"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "10"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "10"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "6"], " ", 
   SuperscriptBox["p", "10"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "8"], " ", 
   SuperscriptBox["p", "10"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", "n", " ", 
   SuperscriptBox["p", "15"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "15"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "5"], " ", 
   SuperscriptBox["p", "15"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "7"], " ", 
   SuperscriptBox["p", "15"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox["p", "20"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "20"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "20"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "6"], " ", 
   SuperscriptBox["p", "20"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", "n", " ", 
   SuperscriptBox["p", "25"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "25"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "5"], " ", 
   SuperscriptBox["p", "25"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["p", "30"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "30"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "30"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{"d", " ", "n", " ", 
   SuperscriptBox["p", "35"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "35"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["p", "40"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "40"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{"n", " ", 
   SuperscriptBox["p", "45"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["p", "50"], " ", 
   SuperscriptBox["q", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", "n", " ", 
   SuperscriptBox["q", "3"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["q", "3"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "5"], " ", 
   SuperscriptBox["q", "3"]}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["p", "5"], " ", 
   SuperscriptBox["q", "3"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "5"], " ", 
   SuperscriptBox["q", "3"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "4"], " ", 
   SuperscriptBox["p", "5"], " ", 
   SuperscriptBox["q", "3"]}], "+", 
  RowBox[{"d", " ", "n", " ", 
   SuperscriptBox["p", "10"], " ", 
   SuperscriptBox["q", "3"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "3"], " ", 
   SuperscriptBox["p", "10"], " ", 
   SuperscriptBox["q", "3"]}], "+", 
  RowBox[{"d", " ", 
   SuperscriptBox["p", "15"], " ", 
   SuperscriptBox["q", "3"]}], "+", 
  RowBox[{
   SuperscriptBox["n", "2"], " ", 
   SuperscriptBox["p", "15"], " ", 
   SuperscriptBox["q", "3"]}], "+", 
  RowBox[{"n", " ", 
   SuperscriptBox["p", "20"], " ", 
   SuperscriptBox["q", "3"]}], "+", 
  RowBox[{
   SuperscriptBox["p", "25"], " ", 
   SuperscriptBox["q", "3"]}], "+", 
  SuperscriptBox["q", "4"], "+", "w"}]], "Output"]
}, Open  ]],

Cell[TextData[{
 "It's a simple matter display the output above as a list rather than a sum. \
Simply replace the head ",
 StyleBox["Plus", "MR"],
 " with ",
 StyleBox["List", "MR"],
 ":"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Apply", "[", 
  RowBox[{"List", ",", "%"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   SuperscriptBox["d", "10"], ",", 
   RowBox[{
    SuperscriptBox["d", "5"], " ", "h"}], ",", 
   SuperscriptBox["h", "2"], ",", 
   RowBox[{
    SuperscriptBox["d", "9"], " ", 
    SuperscriptBox["n", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", "h", " ", 
    SuperscriptBox["n", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "8"], " ", 
    SuperscriptBox["n", "4"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", "h", " ", 
    SuperscriptBox["n", "4"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "7"], " ", 
    SuperscriptBox["n", "6"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", "h", " ", 
    SuperscriptBox["n", "6"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "6"], " ", 
    SuperscriptBox["n", "8"]}], ",", 
   RowBox[{"d", " ", "h", " ", 
    SuperscriptBox["n", "8"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "5"], " ", 
    SuperscriptBox["n", "10"]}], ",", 
   RowBox[{"h", " ", 
    SuperscriptBox["n", "10"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["n", "12"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "14"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "16"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "18"]}], ",", 
   SuperscriptBox["n", "20"], ",", 
   RowBox[{
    SuperscriptBox["d", "9"], " ", "n", " ", 
    SuperscriptBox["p", "5"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", "h", " ", "n", " ", 
    SuperscriptBox["p", "5"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "8"], " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "5"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", "h", " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "5"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "7"], " ", 
    SuperscriptBox["n", "5"], " ", 
    SuperscriptBox["p", "5"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", "h", " ", 
    SuperscriptBox["n", "5"], " ", 
    SuperscriptBox["p", "5"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "6"], " ", 
    SuperscriptBox["n", "7"], " ", 
    SuperscriptBox["p", "5"]}], ",", 
   RowBox[{"d", " ", "h", " ", 
    SuperscriptBox["n", "7"], " ", 
    SuperscriptBox["p", "5"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "5"], " ", 
    SuperscriptBox["n", "9"], " ", 
    SuperscriptBox["p", "5"]}], ",", 
   RowBox[{"h", " ", 
    SuperscriptBox["n", "9"], " ", 
    SuperscriptBox["p", "5"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["n", "11"], " ", 
    SuperscriptBox["p", "5"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "13"], " ", 
    SuperscriptBox["p", "5"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "15"], " ", 
    SuperscriptBox["p", "5"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "17"], " ", 
    SuperscriptBox["p", "5"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "19"], " ", 
    SuperscriptBox["p", "5"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "9"], " ", 
    SuperscriptBox["p", "10"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", "h", " ", 
    SuperscriptBox["p", "10"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "8"], " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "10"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", "h", " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "10"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "7"], " ", 
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "10"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", "h", " ", 
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "10"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "6"], " ", 
    SuperscriptBox["n", "6"], " ", 
    SuperscriptBox["p", "10"]}], ",", 
   RowBox[{"d", " ", "h", " ", 
    SuperscriptBox["n", "6"], " ", 
    SuperscriptBox["p", "10"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "5"], " ", 
    SuperscriptBox["n", "8"], " ", 
    SuperscriptBox["p", "10"]}], ",", 
   RowBox[{"h", " ", 
    SuperscriptBox["n", "8"], " ", 
    SuperscriptBox["p", "10"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["n", "10"], " ", 
    SuperscriptBox["p", "10"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "12"], " ", 
    SuperscriptBox["p", "10"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "14"], " ", 
    SuperscriptBox["p", "10"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "16"], " ", 
    SuperscriptBox["p", "10"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "18"], " ", 
    SuperscriptBox["p", "10"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "8"], " ", "n", " ", 
    SuperscriptBox["p", "15"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", "h", " ", "n", " ", 
    SuperscriptBox["p", "15"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "7"], " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "15"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", "h", " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "15"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "6"], " ", 
    SuperscriptBox["n", "5"], " ", 
    SuperscriptBox["p", "15"]}], ",", 
   RowBox[{"d", " ", "h", " ", 
    SuperscriptBox["n", "5"], " ", 
    SuperscriptBox["p", "15"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "5"], " ", 
    SuperscriptBox["n", "7"], " ", 
    SuperscriptBox["p", "15"]}], ",", 
   RowBox[{"h", " ", 
    SuperscriptBox["n", "7"], " ", 
    SuperscriptBox["p", "15"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["n", "9"], " ", 
    SuperscriptBox["p", "15"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "11"], " ", 
    SuperscriptBox["p", "15"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "13"], " ", 
    SuperscriptBox["p", "15"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "15"], " ", 
    SuperscriptBox["p", "15"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "17"], " ", 
    SuperscriptBox["p", "15"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "8"], " ", 
    SuperscriptBox["p", "20"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", "h", " ", 
    SuperscriptBox["p", "20"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "7"], " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "20"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", "h", " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "20"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "6"], " ", 
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "20"]}], ",", 
   RowBox[{"d", " ", "h", " ", 
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "20"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "5"], " ", 
    SuperscriptBox["n", "6"], " ", 
    SuperscriptBox["p", "20"]}], ",", 
   RowBox[{"h", " ", 
    SuperscriptBox["n", "6"], " ", 
    SuperscriptBox["p", "20"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["n", "8"], " ", 
    SuperscriptBox["p", "20"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "10"], " ", 
    SuperscriptBox["p", "20"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "12"], " ", 
    SuperscriptBox["p", "20"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "14"], " ", 
    SuperscriptBox["p", "20"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "16"], " ", 
    SuperscriptBox["p", "20"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "7"], " ", "n", " ", 
    SuperscriptBox["p", "25"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", "h", " ", "n", " ", 
    SuperscriptBox["p", "25"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "6"], " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "25"]}], ",", 
   RowBox[{"d", " ", "h", " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "25"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "5"], " ", 
    SuperscriptBox["n", "5"], " ", 
    SuperscriptBox["p", "25"]}], ",", 
   RowBox[{"h", " ", 
    SuperscriptBox["n", "5"], " ", 
    SuperscriptBox["p", "25"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["n", "7"], " ", 
    SuperscriptBox["p", "25"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "9"], " ", 
    SuperscriptBox["p", "25"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "11"], " ", 
    SuperscriptBox["p", "25"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "13"], " ", 
    SuperscriptBox["p", "25"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "15"], " ", 
    SuperscriptBox["p", "25"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "7"], " ", 
    SuperscriptBox["p", "30"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", "h", " ", 
    SuperscriptBox["p", "30"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "6"], " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "30"]}], ",", 
   RowBox[{"d", " ", "h", " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "30"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "5"], " ", 
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "30"]}], ",", 
   RowBox[{"h", " ", 
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "30"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["n", "6"], " ", 
    SuperscriptBox["p", "30"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "8"], " ", 
    SuperscriptBox["p", "30"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "10"], " ", 
    SuperscriptBox["p", "30"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "12"], " ", 
    SuperscriptBox["p", "30"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "14"], " ", 
    SuperscriptBox["p", "30"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "6"], " ", "n", " ", 
    SuperscriptBox["p", "35"]}], ",", 
   RowBox[{"d", " ", "h", " ", "n", " ", 
    SuperscriptBox["p", "35"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "5"], " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "35"]}], ",", 
   RowBox[{"h", " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "35"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["n", "5"], " ", 
    SuperscriptBox["p", "35"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "7"], " ", 
    SuperscriptBox["p", "35"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "9"], " ", 
    SuperscriptBox["p", "35"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "11"], " ", 
    SuperscriptBox["p", "35"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "13"], " ", 
    SuperscriptBox["p", "35"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "6"], " ", 
    SuperscriptBox["p", "40"]}], ",", 
   RowBox[{"d", " ", "h", " ", 
    SuperscriptBox["p", "40"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "5"], " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "40"]}], ",", 
   RowBox[{"h", " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "40"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "40"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "6"], " ", 
    SuperscriptBox["p", "40"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "8"], " ", 
    SuperscriptBox["p", "40"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "10"], " ", 
    SuperscriptBox["p", "40"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "12"], " ", 
    SuperscriptBox["p", "40"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "5"], " ", "n", " ", 
    SuperscriptBox["p", "45"]}], ",", 
   RowBox[{"h", " ", "n", " ", 
    SuperscriptBox["p", "45"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "45"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "5"], " ", 
    SuperscriptBox["p", "45"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "7"], " ", 
    SuperscriptBox["p", "45"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "9"], " ", 
    SuperscriptBox["p", "45"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "11"], " ", 
    SuperscriptBox["p", "45"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "5"], " ", 
    SuperscriptBox["p", "50"]}], ",", 
   RowBox[{"h", " ", 
    SuperscriptBox["p", "50"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "50"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "50"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "6"], " ", 
    SuperscriptBox["p", "50"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "8"], " ", 
    SuperscriptBox["p", "50"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "10"], " ", 
    SuperscriptBox["p", "50"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", "n", " ", 
    SuperscriptBox["p", "55"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "55"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "5"], " ", 
    SuperscriptBox["p", "55"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "7"], " ", 
    SuperscriptBox["p", "55"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "9"], " ", 
    SuperscriptBox["p", "55"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["p", "60"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "60"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "60"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "6"], " ", 
    SuperscriptBox["p", "60"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "8"], " ", 
    SuperscriptBox["p", "60"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", "n", " ", 
    SuperscriptBox["p", "65"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "65"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "5"], " ", 
    SuperscriptBox["p", "65"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "7"], " ", 
    SuperscriptBox["p", "65"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["p", "70"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "70"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "70"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "6"], " ", 
    SuperscriptBox["p", "70"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", "n", " ", 
    SuperscriptBox["p", "75"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "75"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "5"], " ", 
    SuperscriptBox["p", "75"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["p", "80"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "80"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "80"]}], ",", 
   RowBox[{"d", " ", "n", " ", 
    SuperscriptBox["p", "85"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "85"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["p", "90"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "90"]}], ",", 
   RowBox[{"n", " ", 
    SuperscriptBox["p", "95"]}], ",", 
   SuperscriptBox["p", "100"], ",", 
   RowBox[{
    SuperscriptBox["d", "7"], " ", "n", " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", "h", " ", "n", " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "6"], " ", 
    SuperscriptBox["n", "3"], " ", "q"}], ",", 
   RowBox[{"d", " ", "h", " ", 
    SuperscriptBox["n", "3"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "5"], " ", 
    SuperscriptBox["n", "5"], " ", "q"}], ",", 
   RowBox[{"h", " ", 
    SuperscriptBox["n", "5"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["n", "7"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "9"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "11"], " ", "q"}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "13"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["n", "15"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "7"], " ", 
    SuperscriptBox["p", "5"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", "h", " ", 
    SuperscriptBox["p", "5"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "6"], " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "5"], " ", "q"}], ",", 
   RowBox[{"d", " ", "h", " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "5"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "5"], " ", 
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "5"], " ", "q"}], ",", 
   RowBox[{"h", " ", 
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "5"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["n", "6"], " ", 
    SuperscriptBox["p", "5"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "8"], " ", 
    SuperscriptBox["p", "5"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "10"], " ", 
    SuperscriptBox["p", "5"], " ", "q"}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "12"], " ", 
    SuperscriptBox["p", "5"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["n", "14"], " ", 
    SuperscriptBox["p", "5"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "6"], " ", "n", " ", 
    SuperscriptBox["p", "10"], " ", "q"}], ",", 
   RowBox[{"d", " ", "h", " ", "n", " ", 
    SuperscriptBox["p", "10"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "5"], " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "10"], " ", "q"}], ",", 
   RowBox[{"h", " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "10"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["n", "5"], " ", 
    SuperscriptBox["p", "10"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "7"], " ", 
    SuperscriptBox["p", "10"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "9"], " ", 
    SuperscriptBox["p", "10"], " ", "q"}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "11"], " ", 
    SuperscriptBox["p", "10"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["n", "13"], " ", 
    SuperscriptBox["p", "10"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "6"], " ", 
    SuperscriptBox["p", "15"], " ", "q"}], ",", 
   RowBox[{"d", " ", "h", " ", 
    SuperscriptBox["p", "15"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "5"], " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "15"], " ", "q"}], ",", 
   RowBox[{"h", " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "15"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "15"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "6"], " ", 
    SuperscriptBox["p", "15"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "8"], " ", 
    SuperscriptBox["p", "15"], " ", "q"}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "10"], " ", 
    SuperscriptBox["p", "15"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["n", "12"], " ", 
    SuperscriptBox["p", "15"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "5"], " ", "n", " ", 
    SuperscriptBox["p", "20"], " ", "q"}], ",", 
   RowBox[{"h", " ", "n", " ", 
    SuperscriptBox["p", "20"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "20"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "5"], " ", 
    SuperscriptBox["p", "20"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "7"], " ", 
    SuperscriptBox["p", "20"], " ", "q"}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "9"], " ", 
    SuperscriptBox["p", "20"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["n", "11"], " ", 
    SuperscriptBox["p", "20"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "5"], " ", 
    SuperscriptBox["p", "25"], " ", "q"}], ",", 
   RowBox[{"h", " ", 
    SuperscriptBox["p", "25"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "25"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "25"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "6"], " ", 
    SuperscriptBox["p", "25"], " ", "q"}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "8"], " ", 
    SuperscriptBox["p", "25"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["n", "10"], " ", 
    SuperscriptBox["p", "25"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", "n", " ", 
    SuperscriptBox["p", "30"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "30"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "5"], " ", 
    SuperscriptBox["p", "30"], " ", "q"}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "7"], " ", 
    SuperscriptBox["p", "30"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["n", "9"], " ", 
    SuperscriptBox["p", "30"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["p", "35"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "35"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "35"], " ", "q"}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "6"], " ", 
    SuperscriptBox["p", "35"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["n", "8"], " ", 
    SuperscriptBox["p", "35"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", "n", " ", 
    SuperscriptBox["p", "40"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "40"], " ", "q"}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "5"], " ", 
    SuperscriptBox["p", "40"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["n", "7"], " ", 
    SuperscriptBox["p", "40"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["p", "45"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "45"], " ", "q"}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "45"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["n", "6"], " ", 
    SuperscriptBox["p", "45"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", "n", " ", 
    SuperscriptBox["p", "50"], " ", "q"}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "50"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["n", "5"], " ", 
    SuperscriptBox["p", "50"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["p", "55"], " ", "q"}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "55"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "55"], " ", "q"}], ",", 
   RowBox[{"d", " ", "n", " ", 
    SuperscriptBox["p", "60"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "60"], " ", "q"}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["p", "65"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "65"], " ", "q"}], ",", 
   RowBox[{"n", " ", 
    SuperscriptBox["p", "70"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["p", "75"], " ", "q"}], ",", 
   RowBox[{
    SuperscriptBox["d", "5"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{"h", " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "6"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "8"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "10"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", "n", " ", 
    SuperscriptBox["p", "5"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "5"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "5"], " ", 
    SuperscriptBox["p", "5"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "7"], " ", 
    SuperscriptBox["p", "5"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "9"], " ", 
    SuperscriptBox["p", "5"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox["p", "10"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "10"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "10"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "6"], " ", 
    SuperscriptBox["p", "10"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "8"], " ", 
    SuperscriptBox["p", "10"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", "n", " ", 
    SuperscriptBox["p", "15"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "15"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "5"], " ", 
    SuperscriptBox["p", "15"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "7"], " ", 
    SuperscriptBox["p", "15"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox["p", "20"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "20"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "20"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "6"], " ", 
    SuperscriptBox["p", "20"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", "n", " ", 
    SuperscriptBox["p", "25"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "25"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "5"], " ", 
    SuperscriptBox["p", "25"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["p", "30"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "30"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "30"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{"d", " ", "n", " ", 
    SuperscriptBox["p", "35"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "35"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["p", "40"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "40"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{"n", " ", 
    SuperscriptBox["p", "45"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["p", "50"], " ", 
    SuperscriptBox["q", "2"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", "n", " ", 
    SuperscriptBox["q", "3"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["q", "3"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "5"], " ", 
    SuperscriptBox["q", "3"]}], ",", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["p", "5"], " ", 
    SuperscriptBox["q", "3"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "5"], " ", 
    SuperscriptBox["q", "3"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "4"], " ", 
    SuperscriptBox["p", "5"], " ", 
    SuperscriptBox["q", "3"]}], ",", 
   RowBox[{"d", " ", "n", " ", 
    SuperscriptBox["p", "10"], " ", 
    SuperscriptBox["q", "3"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "3"], " ", 
    SuperscriptBox["p", "10"], " ", 
    SuperscriptBox["q", "3"]}], ",", 
   RowBox[{"d", " ", 
    SuperscriptBox["p", "15"], " ", 
    SuperscriptBox["q", "3"]}], ",", 
   RowBox[{
    SuperscriptBox["n", "2"], " ", 
    SuperscriptBox["p", "15"], " ", 
    SuperscriptBox["q", "3"]}], ",", 
   RowBox[{"n", " ", 
    SuperscriptBox["p", "20"], " ", 
    SuperscriptBox["q", "3"]}], ",", 
   RowBox[{
    SuperscriptBox["p", "25"], " ", 
    SuperscriptBox["q", "3"]}], ",", 
   SuperscriptBox["q", "4"], ",", "w"}], "}"}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Change for $100", "Section"],

Cell["\<\
How many ways can one make change for $100? More than 1.4 trillion!! This \
takes a few moments to evaluate...\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SeriesCoefficient", "[", 
  RowBox[{
   RowBox[{"Series", "[", 
    RowBox[{
     FractionBox["1", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "x"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "5"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "10"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "25"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "50"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "100"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "500"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "1000"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "2000"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "5000"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "10000"]}], ")"}]}]], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "10000"}], "}"}]}], "]"}], ",", "10000"}], 
  "]"}]], "Input"],

Cell[BoxData["1424039612939"], "Output"]
}, Open  ]],

Cell[TextData[{
 "We can ",
 StyleBox["count",
  FontSlant->"Italic"],
 " the number of ways to make change via the generating function, but listing \
them all would take too much time, and would require far too much space to \
display. And the time needed to evaluate the input above serves as a warning \
-- counting the ways to make change for larger sums is likely to challenge \
your computer."
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Change for $1,000,000", "Section"],

Cell["\<\
This first input will take a few moments to evaluate, but every subsequent \
input will evaluate quickly. The approach taken is explained in the article.\
\>", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"numerator", "=", 
   RowBox[{"Expand", "[", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"Sum", "[", 
       RowBox[{
        SuperscriptBox["x", "i"], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "1999"}], "}"}]}], "]"}], "2"], "*", 
     RowBox[{"Sum", "[", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"2", "i"}]], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{"1998", "/", "2"}]}], "}"}]}], "]"}], "*", 
     RowBox[{"Sum", "[", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"5", "i"}]], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{"1995", "/", "5"}]}], "}"}]}], "]"}], "*", 
     RowBox[{"Sum", "[", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"10", "i"}]], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{"1990", "/", "10"}]}], "}"}]}], "]"}], "*", 
     RowBox[{"Sum", "[", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"20", "i"}]], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{"1980", "/", "20"}]}], "}"}]}], "]"}], "*", 
     RowBox[{"Sum", "[", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"100", "i"}]], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{"1900", "/", "100"}]}], "}"}]}], "]"}], "*", 
     RowBox[{"Sum", "[", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"200", "i"}]], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{"1800", "/", "200"}]}], "}"}]}], "]"}], "*", 
     RowBox[{"Sum", "[", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"400", "i"}]], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{"1600", "/", "400"}]}], "}"}]}], "]"}], "*", 
     RowBox[{"Sum", "[", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"1000", "i"}]], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "]"}]}], 
  ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"alphaList", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Coefficient", "[", 
      RowBox[{"numerator", ",", "x", ",", "#"}], "]"}], "&"}], "/@", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"2000", "i"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Column", "[", "alphaList", "]"}]}], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"1"},
    {"1424039612928"},
    {"212561825179035"},
    {"3224717280609587"},
    {"11601166434205649"},
    {"12519790995056639"},
    {"4102067385934937"},
    {"334900882733305"},
    {"3371148659578"},
    {"8008341"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Column"]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"coefficientList", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"Binomial", "[", 
     RowBox[{
      RowBox[{"10000", "+", "10", "-", "j"}], ",", "10"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "0", ",", "9"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "2770924873693194234920004071721751", ",", 
   "2768156716976218016903100970751000", ",", 
   "2765391049360096308423829214361000", ",", 
   "2762627868855140177020528026097250", ",", 
   "2759867173473052498218668799529750", ",", 
   "2757108961226927120946813244063500", ",", 
   "2754353230131248033369655009936500", ",", 
   "2751599978201888529137978025720250", ",", 
   "2748849203456110374055364831652750", ",", 
   "2746100903912562973161488242139000"}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"alphaList", ".", "coefficientList"}]], "Input"],

Cell[BoxData["88265881340710786348934950201250975072332541120001"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", "%", "]"}]], "Input"],

Cell[BoxData["8.826588134071078`*^49"], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Exercise A", "Section"],

Cell[TextData[{
 "Don't forget to include the factor ",
 Cell[BoxData[
  FormBox[
   FractionBox["1", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "x"}], ")"}], "500"]], TraditionalForm]]],
 " in the generating function. This gives the possibility of using a single \
five-dollar bill."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SeriesCoefficient", "[", 
  RowBox[{
   RowBox[{"Series", "[", 
    RowBox[{
     FractionBox["1", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "x"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "5"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "10"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "25"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "50"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "100"]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["x", "500"]}], ")"}]}]], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "500"}], "}"}]}], "]"}], ",", "500"}], 
  "]"}]], "Input"],

Cell[BoxData["98412"], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Exercise B", "Section"],

Cell[TextData[{
 "We insert the factor ",
 Cell[BoxData[
  FormBox[
   FractionBox["1", 
    RowBox[{"1", "-", 
     SuperscriptBox["x", "40"]}]], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " into the generating function, and proceed as before:"
}], "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"numerator", "=", 
   RowBox[{"Expand", "[", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"Sum", "[", 
       RowBox[{
        SuperscriptBox["x", "i"], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "1999"}], "}"}]}], "]"}], "2"], "*", 
     RowBox[{"Sum", "[", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"2", "i"}]], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{"1998", "/", "2"}]}], "}"}]}], "]"}], "*", 
     RowBox[{"Sum", "[", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"5", "i"}]], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{"1995", "/", "5"}]}], "}"}]}], "]"}], "*", 
     RowBox[{"Sum", "[", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"10", "i"}]], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{"1990", "/", "10"}]}], "}"}]}], "]"}], "*", 
     RowBox[{"Sum", "[", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"20", "i"}]], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{"1980", "/", "20"}]}], "}"}]}], "]"}], "*", 
     RowBox[{"Sum", "[", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"40", "i"}]], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{"1960", "/", "40"}]}], "}"}]}], "]"}], "*", 
     RowBox[{"Sum", "[", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"100", "i"}]], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{"1900", "/", "100"}]}], "}"}]}], "]"}], "*", 
     RowBox[{"Sum", "[", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"200", "i"}]], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{"1800", "/", "200"}]}], "}"}]}], "]"}], "*", 
     RowBox[{"Sum", "[", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"400", "i"}]], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{"1600", "/", "400"}]}], "}"}]}], "]"}], "*", 
     RowBox[{"Sum", "[", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"1000", "i"}]], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "]"}]}], 
  ";"}]], "Input"],

Cell[TextData[{
 "The new denominator is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", 
       SuperscriptBox["x", "2000"]}], ")"}], 
     RowBox[{"-", "12"}]], "=", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"j", "=", "0"}], "\[Infinity]"], 
     RowBox[{
      RowBox[{"(", GridBox[{
         {
          RowBox[{"j", "+", "11"}]},
         {"11"}
        }], ")"}], 
      SuperscriptBox["x", 
       RowBox[{"2000", "j"}]]}]}]}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 ". So again, in the numerator, the only powers that matter are the multiples \
of 2000. But we have one more than before (",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Alpha]", "20000"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " is now nonzero):"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"alphaList", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Coefficient", "[", 
      RowBox[{"numerator", ",", "x", ",", "#"}], "]"}], "&"}], "/@", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"2000", "i"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "10"}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Column", "[", "alphaList", "]"}]}], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"1"},
    {"9823546661894"},
    {"2662116824495404"},
    {"64243292940282639"},
    {"367096936652266409"},
    {"665249723625274607"},
    {"413649135705661331"},
    {"82929177878046221"},
    {"4137495583516186"},
    {"22297238313391"},
    {"5481917"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Column"]], "Output"]
}, Open  ]],

Cell["\<\
Here is what remains in the numerator (when all irrelevant terms are removed):\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"alphaList", ".", 
  RowBox[{"Table", "[", 
   RowBox[{
    SuperscriptBox["x", 
     RowBox[{"2000", "j"}]], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "0", ",", "10"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"1", "+", 
  RowBox[{"9823546661894", " ", 
   SuperscriptBox["x", "2000"]}], "+", 
  RowBox[{"2662116824495404", " ", 
   SuperscriptBox["x", "4000"]}], "+", 
  RowBox[{"64243292940282639", " ", 
   SuperscriptBox["x", "6000"]}], "+", 
  RowBox[{"367096936652266409", " ", 
   SuperscriptBox["x", "8000"]}], "+", 
  RowBox[{"665249723625274607", " ", 
   SuperscriptBox["x", "10000"]}], "+", 
  RowBox[{"413649135705661331", " ", 
   SuperscriptBox["x", "12000"]}], "+", 
  RowBox[{"82929177878046221", " ", 
   SuperscriptBox["x", "14000"]}], "+", 
  RowBox[{"4137495583516186", " ", 
   SuperscriptBox["x", "16000"]}], "+", 
  RowBox[{"22297238313391", " ", 
   SuperscriptBox["x", "18000"]}], "+", 
  RowBox[{"5481917", " ", 
   SuperscriptBox["x", "20000"]}]}]], "Output"]
}, Open  ]],

Cell[TextData[{
 "Each of these can be paired with one member of the series expansion for the \
reciprocal of the denominator to make a contribution to the term ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["x", "20000000"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " in the product. The coefficients of these terms, are respectively:"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"coefficientList", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"Binomial", "[", 
     RowBox[{
      RowBox[{"10000", "+", "11", "-", "j"}], ",", "11"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "0", ",", "10"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "2521793537322051589616741887455131751", ",", 
   "2519022612448358395381821883383410000", ",", 
   "2516254455731382177364918782412659000", ",", 
   "2513489064682022081056494953198298000", ",", 
   "2510726436813166940879474425172200750", ",", 
   "2507966569639693888381255756372671000", ",", 
   "2505209460678466961260308943128607500", ",", 
   "2502455107448335713226939288118671000", ",", 
   "2499703507470133824697801310092950750", ",", 
   "2496954658266677714323745945261298000", ",", 
   "2494208557362765151350584457019159000"}], "}"}]], "Output"]
}, Open  ]],

Cell["So the answer is:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"alphaList", ".", "coefficientList"}]], "Input"],

Cell[BoxData["4012504634719967902995238092061023959932853457130267501"], \
"Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", "%", "]"}]], "Input"],

Cell[BoxData["4.012504634719968`*^54"], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Exercise C", "Section"],

Cell["\<\
Given that we already have (via the P\[OAcute]lya approach) a list of every \
coin combination that makes change for a dollar, let's just count the coins \
in each:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "/@", 
  RowBox[{"w", "[", "100", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "100", ",", "96", ",", "92", ",", "88", ",", "84", ",", "80", ",", "76", 
   ",", "72", ",", "68", ",", "64", ",", "60", ",", "56", ",", "52", ",", 
   "48", ",", "44", ",", "40", ",", "36", ",", "32", ",", "28", ",", "24", 
   ",", "20", ",", "91", ",", "87", ",", "83", ",", "79", ",", "75", ",", 
   "71", ",", "67", ",", "63", ",", "59", ",", "55", ",", "51", ",", "47", 
   ",", "43", ",", "39", ",", "35", ",", "31", ",", "27", ",", "23", ",", 
   "19", ",", "82", ",", "78", ",", "74", ",", "70", ",", "66", ",", "62", 
   ",", "58", ",", "54", ",", "50", ",", "46", ",", "42", ",", "38", ",", 
   "34", ",", "30", ",", "26", ",", "22", ",", "18", ",", "73", ",", "69", 
   ",", "65", ",", "61", ",", "57", ",", "53", ",", "49", ",", "45", ",", 
   "41", ",", "37", ",", "33", ",", "29", ",", "25", ",", "21", ",", "17", 
   ",", "64", ",", "60", ",", "56", ",", "52", ",", "48", ",", "44", ",", 
   "40", ",", "36", ",", "32", ",", "28", ",", "24", ",", "20", ",", "16", 
   ",", "55", ",", "51", ",", "47", ",", "43", ",", "39", ",", "35", ",", 
   "31", ",", "27", ",", "23", ",", "19", ",", "15", ",", "46", ",", "42", 
   ",", "38", ",", "34", ",", "30", ",", "26", ",", "22", ",", "18", ",", 
   "14", ",", "37", ",", "33", ",", "29", ",", "25", ",", "21", ",", "17", 
   ",", "13", ",", "28", ",", "24", ",", "20", ",", "16", ",", "12", ",", 
   "19", ",", "15", ",", "11", ",", "10", ",", "76", ",", "72", ",", "68", 
   ",", "64", ",", "60", ",", "56", ",", "52", ",", "48", ",", "44", ",", 
   "40", ",", "36", ",", "32", ",", "28", ",", "24", ",", "20", ",", "16", 
   ",", "67", ",", "63", ",", "59", ",", "55", ",", "51", ",", "47", ",", 
   "43", ",", "39", ",", "35", ",", "31", ",", "27", ",", "23", ",", "19", 
   ",", "15", ",", "58", ",", "54", ",", "50", ",", "46", ",", "42", ",", 
   "38", ",", "34", ",", "30", ",", "26", ",", "22", ",", "18", ",", "14", 
   ",", "49", ",", "45", ",", "41", ",", "37", ",", "33", ",", "29", ",", 
   "25", ",", "21", ",", "17", ",", "13", ",", "40", ",", "36", ",", "32", 
   ",", "28", ",", "24", ",", "20", ",", "16", ",", "12", ",", "31", ",", 
   "27", ",", "23", ",", "19", ",", "15", ",", "11", ",", "22", ",", "18", 
   ",", "14", ",", "10", ",", "13", ",", "9", ",", "52", ",", "48", ",", "44",
    ",", "40", ",", "36", ",", "32", ",", "28", ",", "24", ",", "20", ",", 
   "16", ",", "12", ",", "43", ",", "39", ",", "35", ",", "31", ",", "27", 
   ",", "23", ",", "19", ",", "15", ",", "11", ",", "34", ",", "30", ",", 
   "26", ",", "22", ",", "18", ",", "14", ",", "10", ",", "25", ",", "21", 
   ",", "17", ",", "13", ",", "9", ",", "16", ",", "12", ",", "8", ",", "7", 
   ",", "28", ",", "24", ",", "20", ",", "16", ",", "12", ",", "8", ",", "19",
    ",", "15", ",", "11", ",", "7", ",", "10", ",", "6", ",", "4", ",", "51", 
   ",", "47", ",", "43", ",", "39", ",", "35", ",", "31", ",", "27", ",", 
   "23", ",", "19", ",", "15", ",", "11", ",", "42", ",", "38", ",", "34", 
   ",", "30", ",", "26", ",", "22", ",", "18", ",", "14", ",", "10", ",", 
   "33", ",", "29", ",", "25", ",", "21", ",", "17", ",", "13", ",", "9", ",",
    "24", ",", "20", ",", "16", ",", "12", ",", "8", ",", "15", ",", "11", 
   ",", "7", ",", "6", ",", "27", ",", "23", ",", "19", ",", "15", ",", "11", 
   ",", "7", ",", "18", ",", "14", ",", "10", ",", "6", ",", "9", ",", "5", 
   ",", "3", ",", "2", ",", "1"}], "}"}]], "Output"]
}, Open  ]],

Cell["\<\
It's a snap to see that 156 of these are even, and the remaining 137 are odd:\
\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Count", "[", 
  RowBox[{"%", ",", 
   RowBox[{"_", "?", "EvenQ"}]}], "]"}]], "Input"],

Cell[BoxData["156"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Count", "[", 
  RowBox[{"%%", ",", 
   RowBox[{"_", "?", "OddQ"}]}], "]"}]], "Input"],

Cell[BoxData["137"], "Output"]
}, Open  ]],

Cell[TextData[{
 "Of course, this method is impractical for larger denominations, so we now \
present a clever approach using generating functions. Let ",
 Cell[BoxData[
  FormBox["s", TraditionalForm]],
  FormatType->"TraditionalForm"],
 " and ",
 Cell[BoxData[
  FormBox["t", TraditionalForm]],
  FormatType->"TraditionalForm"],
 " represent number of ways to make change for a dollar using an even or odd \
number of coins, respectively. Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"s", "+", "t"}], "=", "293"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"s", "\[GreaterEqual]", "0"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"t", "\[GreaterEqual]", "0"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 "."
}], "Text"],

Cell[TextData[{
 "Consider the expression ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "x", "+", 
      SuperscriptBox["x", "2"], "-", 
      SuperscriptBox["x", "3"], "+", "\[CenterEllipsis]"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      SuperscriptBox["x", "5"], "+", 
      SuperscriptBox["x", "10"], "-", 
      SuperscriptBox["x", "15"], "+", "\[CenterEllipsis]"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      SuperscriptBox["x", "10"], "+", 
      SuperscriptBox["x", "20"], "-", 
      SuperscriptBox["x", "30"], "+", "\[CenterEllipsis]"}], ")"}], 
    RowBox[{"\[CenterEllipsis]", "(", 
     RowBox[{"1", "-", 
      SuperscriptBox["x", "100"], "+", 
      SuperscriptBox["x", "200"], "-", 
      SuperscriptBox["x", "300"], "+", "\[CenterEllipsis]"}], ")"}]}], 
   TraditionalForm]],
  FormatType->"TraditionalForm"],
 ". This is just the series expansion obtained from the generating function \
by changing minuses to pluses:"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"(", 
     RowBox[{"1", "+", "x"}], ")"}]], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"1", "-", "x", "+", 
   SuperscriptBox["x", "2"], "-", 
   SuperscriptBox["x", "3"], "+", 
   SuperscriptBox["x", "4"], "-", 
   SuperscriptBox["x", "5"], "+", 
   SuperscriptBox["x", "6"], "-", 
   SuperscriptBox["x", "7"], "+", 
   SuperscriptBox["x", "8"], "-", 
   SuperscriptBox["x", "9"], "+", 
   SuperscriptBox["x", "10"], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "x", "]"}], "11"],
    SeriesData[$CellContext`x, 0, {}, 0, 11, 1],
    Editable->False]}],
  SeriesData[$CellContext`x, 0, {1, -1, 1, -1, 1, -1, 1, -1, 1, -1, 1}, 0, 11,
    1],
  Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", "x"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       SuperscriptBox["x", "5"]}], ")"}], 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       SuperscriptBox["x", "10"]}], ")"}], 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       SuperscriptBox["x", "25"]}], ")"}], 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       SuperscriptBox["x", "50"]}], ")"}], 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       SuperscriptBox["x", "100"]}], ")"}]}]], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "100"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"1", "-", "x", "+", 
   SuperscriptBox["x", "2"], "-", 
   SuperscriptBox["x", "3"], "+", 
   SuperscriptBox["x", "4"], "-", 
   RowBox[{"2", " ", 
    SuperscriptBox["x", "5"]}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["x", "6"]}], "-", 
   RowBox[{"2", " ", 
    SuperscriptBox["x", "7"]}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["x", "8"]}], "-", 
   RowBox[{"2", " ", 
    SuperscriptBox["x", "9"]}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["x", "10"]}], "-", 
   RowBox[{"2", " ", 
    SuperscriptBox["x", "11"]}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["x", "12"]}], "-", 
   RowBox[{"2", " ", 
    SuperscriptBox["x", "13"]}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["x", "14"]}], "-", 
   RowBox[{"2", " ", 
    SuperscriptBox["x", "15"]}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["x", "16"]}], "-", 
   RowBox[{"2", " ", 
    SuperscriptBox["x", "17"]}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["x", "18"]}], "-", 
   RowBox[{"2", " ", 
    SuperscriptBox["x", "19"]}], "+", 
   RowBox[{"3", " ", 
    SuperscriptBox["x", "20"]}], "-", 
   RowBox[{"3", " ", 
    SuperscriptBox["x", "21"]}], "+", 
   RowBox[{"3", " ", 
    SuperscriptBox["x", "22"]}], "-", 
   RowBox[{"3", " ", 
    SuperscriptBox["x", "23"]}], "+", 
   RowBox[{"3", " ", 
    SuperscriptBox["x", "24"]}], "-", 
   RowBox[{"5", " ", 
    SuperscriptBox["x", "25"]}], "+", 
   RowBox[{"5", " ", 
    SuperscriptBox["x", "26"]}], "-", 
   RowBox[{"5", " ", 
    SuperscriptBox["x", "27"]}], "+", 
   RowBox[{"5", " ", 
    SuperscriptBox["x", "28"]}], "-", 
   RowBox[{"5", " ", 
    SuperscriptBox["x", "29"]}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["x", "30"]}], "-", 
   RowBox[{"6", " ", 
    SuperscriptBox["x", "31"]}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["x", "32"]}], "-", 
   RowBox[{"6", " ", 
    SuperscriptBox["x", "33"]}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["x", "34"]}], "-", 
   RowBox[{"6", " ", 
    SuperscriptBox["x", "35"]}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["x", "36"]}], "-", 
   RowBox[{"6", " ", 
    SuperscriptBox["x", "37"]}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["x", "38"]}], "-", 
   RowBox[{"6", " ", 
    SuperscriptBox["x", "39"]}], "+", 
   RowBox[{"7", " ", 
    SuperscriptBox["x", "40"]}], "-", 
   RowBox[{"7", " ", 
    SuperscriptBox["x", "41"]}], "+", 
   RowBox[{"7", " ", 
    SuperscriptBox["x", "42"]}], "-", 
   RowBox[{"7", " ", 
    SuperscriptBox["x", "43"]}], "+", 
   RowBox[{"7", " ", 
    SuperscriptBox["x", "44"]}], "-", 
   RowBox[{"9", " ", 
    SuperscriptBox["x", "45"]}], "+", 
   RowBox[{"9", " ", 
    SuperscriptBox["x", "46"]}], "-", 
   RowBox[{"9", " ", 
    SuperscriptBox["x", "47"]}], "+", 
   RowBox[{"9", " ", 
    SuperscriptBox["x", "48"]}], "-", 
   RowBox[{"9", " ", 
    SuperscriptBox["x", "49"]}], "+", 
   RowBox[{"10", " ", 
    SuperscriptBox["x", "50"]}], "-", 
   RowBox[{"10", " ", 
    SuperscriptBox["x", "51"]}], "+", 
   RowBox[{"10", " ", 
    SuperscriptBox["x", "52"]}], "-", 
   RowBox[{"10", " ", 
    SuperscriptBox["x", "53"]}], "+", 
   RowBox[{"10", " ", 
    SuperscriptBox["x", "54"]}], "-", 
   RowBox[{"10", " ", 
    SuperscriptBox["x", "55"]}], "+", 
   RowBox[{"10", " ", 
    SuperscriptBox["x", "56"]}], "-", 
   RowBox[{"10", " ", 
    SuperscriptBox["x", "57"]}], "+", 
   RowBox[{"10", " ", 
    SuperscriptBox["x", "58"]}], "-", 
   RowBox[{"10", " ", 
    SuperscriptBox["x", "59"]}], "+", 
   RowBox[{"11", " ", 
    SuperscriptBox["x", "60"]}], "-", 
   RowBox[{"11", " ", 
    SuperscriptBox["x", "61"]}], "+", 
   RowBox[{"11", " ", 
    SuperscriptBox["x", "62"]}], "-", 
   RowBox[{"11", " ", 
    SuperscriptBox["x", "63"]}], "+", 
   RowBox[{"11", " ", 
    SuperscriptBox["x", "64"]}], "-", 
   RowBox[{"13", " ", 
    SuperscriptBox["x", "65"]}], "+", 
   RowBox[{"13", " ", 
    SuperscriptBox["x", "66"]}], "-", 
   RowBox[{"13", " ", 
    SuperscriptBox["x", "67"]}], "+", 
   RowBox[{"13", " ", 
    SuperscriptBox["x", "68"]}], "-", 
   RowBox[{"13", " ", 
    SuperscriptBox["x", "69"]}], "+", 
   RowBox[{"14", " ", 
    SuperscriptBox["x", "70"]}], "-", 
   RowBox[{"14", " ", 
    SuperscriptBox["x", "71"]}], "+", 
   RowBox[{"14", " ", 
    SuperscriptBox["x", "72"]}], "-", 
   RowBox[{"14", " ", 
    SuperscriptBox["x", "73"]}], "+", 
   RowBox[{"14", " ", 
    SuperscriptBox["x", "74"]}], "-", 
   RowBox[{"14", " ", 
    SuperscriptBox["x", "75"]}], "+", 
   RowBox[{"14", " ", 
    SuperscriptBox["x", "76"]}], "-", 
   RowBox[{"14", " ", 
    SuperscriptBox["x", "77"]}], "+", 
   RowBox[{"14", " ", 
    SuperscriptBox["x", "78"]}], "-", 
   RowBox[{"14", " ", 
    SuperscriptBox["x", "79"]}], "+", 
   RowBox[{"15", " ", 
    SuperscriptBox["x", "80"]}], "-", 
   RowBox[{"15", " ", 
    SuperscriptBox["x", "81"]}], "+", 
   RowBox[{"15", " ", 
    SuperscriptBox["x", "82"]}], "-", 
   RowBox[{"15", " ", 
    SuperscriptBox["x", "83"]}], "+", 
   RowBox[{"15", " ", 
    SuperscriptBox["x", "84"]}], "-", 
   RowBox[{"17", " ", 
    SuperscriptBox["x", "85"]}], "+", 
   RowBox[{"17", " ", 
    SuperscriptBox["x", "86"]}], "-", 
   RowBox[{"17", " ", 
    SuperscriptBox["x", "87"]}], "+", 
   RowBox[{"17", " ", 
    SuperscriptBox["x", "88"]}], "-", 
   RowBox[{"17", " ", 
    SuperscriptBox["x", "89"]}], "+", 
   RowBox[{"18", " ", 
    SuperscriptBox["x", "90"]}], "-", 
   RowBox[{"18", " ", 
    SuperscriptBox["x", "91"]}], "+", 
   RowBox[{"18", " ", 
    SuperscriptBox["x", "92"]}], "-", 
   RowBox[{"18", " ", 
    SuperscriptBox["x", "93"]}], "+", 
   RowBox[{"18", " ", 
    SuperscriptBox["x", "94"]}], "-", 
   RowBox[{"18", " ", 
    SuperscriptBox["x", "95"]}], "+", 
   RowBox[{"18", " ", 
    SuperscriptBox["x", "96"]}], "-", 
   RowBox[{"18", " ", 
    SuperscriptBox["x", "97"]}], "+", 
   RowBox[{"18", " ", 
    SuperscriptBox["x", "98"]}], "-", 
   RowBox[{"18", " ", 
    SuperscriptBox["x", "99"]}], "+", 
   RowBox[{"19", " ", 
    SuperscriptBox["x", "100"]}], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "x", "]"}], "101"],
    SeriesData[$CellContext`x, 0, {}, 0, 101, 1],
    Editable->False]}],
  SeriesData[$CellContext`x, 0, CompressedData["
1:eJydxUEKRWAUQOEfIYSwAluyBGXKzokXQjzHTHd0c+r0lXVXtZYxpuHHP729
0P6og6fwQFfo4a7Qx024YiAMcVEY4Sz8YSxMcFKY4igcMBPm2Css8AYqbMmN

   "], 0, 101, 1],
  Editable->False]], "Output"]
}, Open  ]],

Cell[TextData[{
 "What does 19,  the coefficient of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["x", "100"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " in this product, represent? Thinking of it as coming from the product ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "x", "+", 
      SuperscriptBox["x", "2"], "-", 
      SuperscriptBox["x", "3"], "+", "\[CenterEllipsis]"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      SuperscriptBox["x", "5"], "+", 
      SuperscriptBox["x", "10"], "-", 
      SuperscriptBox["x", "15"], "+", "\[CenterEllipsis]"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      SuperscriptBox["x", "10"], "+", 
      SuperscriptBox["x", "20"], "-", 
      SuperscriptBox["x", "30"], "+", "\[CenterEllipsis]"}], ")"}], 
    RowBox[{"\[CenterEllipsis]", "(", 
     RowBox[{"1", "-", 
      SuperscriptBox["x", "100"], "+", 
      SuperscriptBox["x", "200"], "-", 
      SuperscriptBox["x", "300"], "+", "\[CenterEllipsis]"}], ")"}]}], 
   TraditionalForm]]],
 ", an individual summand for this coefficient is negative if and only if it \
is a product with an odd number of negative factors. That is, it represents a \
way to make change for a dollar with an odd number of instances in which a \
coin value appears an odd number of times. These are precisely the ways to \
make change for a dollar that utilize an odd number of coins, and we have \
agreed to call this number ",
 Cell[BoxData[
  FormBox["t", TraditionalForm]],
  FormatType->"TraditionalForm"],
 ". So since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"19", "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"number", " ", "of", " ", "positive", " ", "summands"}], ")"}], 
     "-", 
     RowBox[{"(", 
      RowBox[{"number", " ", "of", " ", "negative", " ", "summands"}], 
      ")"}]}]}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 ", we have ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"s", "-", "t"}], "=", "19"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 ". Solving the two-by-two system ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"s", "+", "t"}], "=", "293"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"s", "-", "t"}], "=", "19"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " gives the result."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"s", "+", "t"}], "\[Equal]", "293"}], ",", 
     RowBox[{
      RowBox[{"s", "-", "t"}], "\[Equal]", "19"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"s", ",", "t"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"s", "\[Rule]", "156"}], ",", 
    RowBox[{"t", "\[Rule]", "137"}]}], "}"}], "}"}]], "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
},
WindowSize->{1298, 790},
WindowMargins->{{29, Automatic}, {Automatic, 161}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"7.0 for Mac OS X x86 (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 58, 0, 114, "Title"],
Cell[628, 24, 34, 0, 39, "Text"],
Cell[665, 26, 429, 14, 44, "Text"],
Cell[1097, 42, 134, 4, 62, "Text"],
Cell[CellGroupData[{
Cell[1256, 50, 72, 2, 100, "Section"],
Cell[1331, 54, 54, 0, 39, "Text"],
Cell[1388, 56, 3572, 123, 249, "Output"],
Cell[4963, 181, 136, 5, 39, "Text"],
Cell[5102, 188, 4358, 142, 346, "Input"],
Cell[9463, 332, 56, 1, 40, "Input"],
Cell[CellGroupData[{
Cell[9544, 337, 89, 2, 40, "Input"],
Cell[9636, 341, 30, 0, 40, "Output"]
}, Open  ]],
Cell[9681, 344, 162, 5, 39, "Text"],
Cell[CellGroupData[{
Cell[9868, 353, 37081, 908, 4563, "Input"],
Cell[46952, 1263, 3043, 60, 208, "Output"]
}, {2}]],
Cell[50007, 1326, 206, 5, 39, "Text"],
Cell[50216, 1333, 150, 5, 40, "Input"],
Cell[50369, 1340, 469, 14, 40, "Input"],
Cell[50841, 1356, 315, 10, 40, "Input"],
Cell[51159, 1368, 798, 23, 64, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[51994, 1396, 70, 0, 53, "Section"],
Cell[52067, 1398, 345, 13, 54, "Text"],
Cell[CellGroupData[{
Cell[52437, 1415, 215, 7, 70, "Input"],
Cell[52655, 1424, 845, 24, 44, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[53537, 1453, 243, 8, 76, "Input"],
Cell[53783, 1463, 1066, 27, 44, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[54886, 1495, 673, 23, 76, "Input"],
Cell[55562, 1520, 6494, 207, 207, "Output"]
}, Open  ]],
Cell[62071, 1730, 123, 3, 39, "Text"],
Cell[CellGroupData[{
Cell[62219, 1737, 790, 26, 76, "Input"],
Cell[63012, 1765, 30, 0, 40, "Output"]
}, Open  ]],
Cell[63057, 1768, 130, 3, 39, "Text"],
Cell[CellGroupData[{
Cell[63212, 1775, 1034, 33, 118, "Input"],
Cell[64249, 1810, 30096, 968, 747, "Output"]
}, Open  ]],
Cell[94360, 2781, 199, 7, 39, "Text"],
Cell[CellGroupData[{
Cell[94584, 2792, 84, 2, 40, "Input"],
Cell[94671, 2796, 31086, 969, 728, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[125806, 3771, 34, 0, 53, "Section"],
Cell[125843, 3773, 134, 3, 39, "Text"],
Cell[CellGroupData[{
Cell[126002, 3780, 1274, 41, 159, "Input"],
Cell[127279, 3823, 40, 0, 40, "Output"]
}, Open  ]],
Cell[127334, 3826, 411, 9, 84, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[127782, 3840, 40, 0, 53, "Section"],
Cell[127825, 3842, 177, 3, 39, "Text"],
Cell[128005, 3847, 2088, 66, 127, "Input"],
Cell[CellGroupData[{
Cell[130118, 3917, 429, 13, 64, "Input"],
Cell[130550, 3932, 412, 15, 248, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[130999, 3952, 286, 8, 40, "Input"],
Cell[131288, 3962, 522, 12, 133, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[131847, 3979, 71, 1, 40, "Input"],
Cell[131921, 3982, 77, 0, 40, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[132035, 3987, 54, 1, 40, "Input"],
Cell[132092, 3990, 49, 0, 44, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[132190, 3996, 29, 0, 53, "Section"],
Cell[132222, 3998, 317, 10, 57, "Text"],
Cell[CellGroupData[{
Cell[132564, 4012, 885, 29, 118, "Input"],
Cell[133452, 4043, 32, 0, 40, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[133533, 4049, 29, 0, 53, "Section"],
Cell[133565, 4051, 268, 9, 55, "Text"],
Cell[133836, 4062, 2313, 73, 159, "Input"],
Cell[136152, 4137, 840, 29, 90, "Text"],
Cell[CellGroupData[{
Cell[137017, 4170, 430, 13, 64, "Input"],
Cell[137450, 4185, 447, 16, 270, "Output"]
}, Open  ]],
Cell[137912, 4204, 102, 2, 39, "Text"],
Cell[CellGroupData[{
Cell[138039, 4210, 225, 7, 50, "Input"],
Cell[138267, 4219, 800, 21, 99, "Output"]
}, Open  ]],
Cell[139082, 4243, 361, 8, 66, "Text"],
Cell[CellGroupData[{
Cell[139468, 4255, 287, 8, 40, "Input"],
Cell[139758, 4265, 602, 13, 156, "Output"]
}, Open  ]],
Cell[140375, 4281, 33, 0, 39, "Text"],
Cell[CellGroupData[{
Cell[140433, 4285, 71, 1, 40, "Input"],
Cell[140507, 4288, 84, 1, 40, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[140628, 4294, 54, 1, 40, "Input"],
Cell[140685, 4297, 49, 0, 44, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[140783, 4303, 29, 0, 53, "Section"],
Cell[140815, 4305, 188, 4, 39, "Text"],
Cell[CellGroupData[{
Cell[141028, 4313, 85, 2, 40, "Input"],
Cell[141116, 4317, 3437, 47, 271, "Output"]
}, Open  ]],
Cell[144568, 4367, 103, 3, 39, "Text"],
Cell[CellGroupData[{
Cell[144696, 4374, 109, 3, 42, "Input"],
Cell[144808, 4379, 30, 0, 40, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[144875, 4384, 109, 3, 42, "Input"],
Cell[144987, 4389, 30, 0, 40, "Output"]
}, Open  ]],
Cell[145032, 4392, 862, 28, 62, "Text"],
Cell[145897, 4422, 1010, 28, 70, "Text"],
Cell[CellGroupData[{
Cell[146932, 4454, 215, 7, 70, "Input"],
Cell[147150, 4463, 655, 19, 44, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[147842, 4487, 673, 23, 76, "Input"],
Cell[148518, 4512, 6455, 208, 207, "Output"]
}, Open  ]],
Cell[154988, 4723, 2394, 70, 164, "Text"],
Cell[CellGroupData[{
Cell[157407, 4797, 302, 10, 40, "Input"],
Cell[157712, 4809, 163, 5, 40, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
